import * as grpcWeb from 'grpc-web';

import * as admin_pb from './admin_pb'; // proto import: "admin.proto"


export class AdminServiceClient {
  constructor (hostname: string,
               credentials?: null | { [index: string]: string; },
               options?: null | { [index: string]: any; });

  downloadGlobular(
    request: admin_pb.DownloadGlobularRequest,
    metadata?: grpcWeb.Metadata
  ): grpcWeb.ClientReadableStream<admin_pb.DownloadGlobularResponse>;

  getCertificates(
    request: admin_pb.GetCertificatesRequest,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: admin_pb.GetCertificatesResponse) => void
  ): grpcWeb.ClientReadableStream<admin_pb.GetCertificatesResponse>;

  hasRunningProcess(
    request: admin_pb.HasRunningProcessRequest,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: admin_pb.HasRunningProcessResponse) => void
  ): grpcWeb.ClientReadableStream<admin_pb.HasRunningProcessResponse>;

  getProcessInfos(
    request: admin_pb.GetProcessInfosRequest,
    metadata?: grpcWeb.Metadata
  ): grpcWeb.ClientReadableStream<admin_pb.GetProcessInfosResponse>;

  runCmd(
    request: admin_pb.RunCmdRequest,
    metadata?: grpcWeb.Metadata
  ): grpcWeb.ClientReadableStream<admin_pb.RunCmdResponse>;

  setEnvironmentVariable(
    request: admin_pb.SetEnvironmentVariableRequest,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: admin_pb.SetEnvironmentVariableResponse) => void
  ): grpcWeb.ClientReadableStream<admin_pb.SetEnvironmentVariableResponse>;

  getEnvironmentVariable(
    request: admin_pb.GetEnvironmentVariableRequest,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: admin_pb.GetEnvironmentVariableResponse) => void
  ): grpcWeb.ClientReadableStream<admin_pb.GetEnvironmentVariableResponse>;

  unsetEnvironmentVariable(
    request: admin_pb.UnsetEnvironmentVariableRequest,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: admin_pb.UnsetEnvironmentVariableResponse) => void
  ): grpcWeb.ClientReadableStream<admin_pb.UnsetEnvironmentVariableResponse>;

  killProcess(
    request: admin_pb.KillProcessRequest,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: admin_pb.KillProcessResponse) => void
  ): grpcWeb.ClientReadableStream<admin_pb.KillProcessResponse>;

  killProcesses(
    request: admin_pb.KillProcessesRequest,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: admin_pb.KillProcessesResponse) => void
  ): grpcWeb.ClientReadableStream<admin_pb.KillProcessesResponse>;

  getPids(
    request: admin_pb.GetPidsRequest,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: admin_pb.GetPidsResponse) => void
  ): grpcWeb.ClientReadableStream<admin_pb.GetPidsResponse>;

  saveConfig(
    request: admin_pb.SaveConfigRequest,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: admin_pb.SaveConfigRequest) => void
  ): grpcWeb.ClientReadableStream<admin_pb.SaveConfigRequest>;

  getFileInfo(
    request: admin_pb.GetFileInfoRequest,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: admin_pb.GetFileInfoResponse) => void
  ): grpcWeb.ClientReadableStream<admin_pb.GetFileInfoResponse>;

  getAvailableHosts(
    request: admin_pb.getAvailableHostsRequest,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: admin_pb.getAvailableHostsResponse) => void
  ): grpcWeb.ClientReadableStream<admin_pb.getAvailableHostsResponse>;

}

export class AdminServicePromiseClient {
  constructor (hostname: string,
               credentials?: null | { [index: string]: string; },
               options?: null | { [index: string]: any; });

  downloadGlobular(
    request: admin_pb.DownloadGlobularRequest,
    metadata?: grpcWeb.Metadata
  ): grpcWeb.ClientReadableStream<admin_pb.DownloadGlobularResponse>;

  getCertificates(
    request: admin_pb.GetCertificatesRequest,
    metadata?: grpcWeb.Metadata
  ): Promise<admin_pb.GetCertificatesResponse>;

  hasRunningProcess(
    request: admin_pb.HasRunningProcessRequest,
    metadata?: grpcWeb.Metadata
  ): Promise<admin_pb.HasRunningProcessResponse>;

  getProcessInfos(
    request: admin_pb.GetProcessInfosRequest,
    metadata?: grpcWeb.Metadata
  ): grpcWeb.ClientReadableStream<admin_pb.GetProcessInfosResponse>;

  runCmd(
    request: admin_pb.RunCmdRequest,
    metadata?: grpcWeb.Metadata
  ): grpcWeb.ClientReadableStream<admin_pb.RunCmdResponse>;

  setEnvironmentVariable(
    request: admin_pb.SetEnvironmentVariableRequest,
    metadata?: grpcWeb.Metadata
  ): Promise<admin_pb.SetEnvironmentVariableResponse>;

  getEnvironmentVariable(
    request: admin_pb.GetEnvironmentVariableRequest,
    metadata?: grpcWeb.Metadata
  ): Promise<admin_pb.GetEnvironmentVariableResponse>;

  unsetEnvironmentVariable(
    request: admin_pb.UnsetEnvironmentVariableRequest,
    metadata?: grpcWeb.Metadata
  ): Promise<admin_pb.UnsetEnvironmentVariableResponse>;

  killProcess(
    request: admin_pb.KillProcessRequest,
    metadata?: grpcWeb.Metadata
  ): Promise<admin_pb.KillProcessResponse>;

  killProcesses(
    request: admin_pb.KillProcessesRequest,
    metadata?: grpcWeb.Metadata
  ): Promise<admin_pb.KillProcessesResponse>;

  getPids(
    request: admin_pb.GetPidsRequest,
    metadata?: grpcWeb.Metadata
  ): Promise<admin_pb.GetPidsResponse>;

  saveConfig(
    request: admin_pb.SaveConfigRequest,
    metadata?: grpcWeb.Metadata
  ): Promise<admin_pb.SaveConfigRequest>;

  getFileInfo(
    request: admin_pb.GetFileInfoRequest,
    metadata?: grpcWeb.Metadata
  ): Promise<admin_pb.GetFileInfoResponse>;

  getAvailableHosts(
    request: admin_pb.getAvailableHostsRequest,
    metadata?: grpcWeb.Metadata
  ): Promise<admin_pb.getAvailableHostsResponse>;

}

