import * as grpcWeb from 'grpc-web';

import * as applications_manager_pb from './applications_manager_pb'; // proto import: "applications_manager.proto"


export class ApplicationManagerServiceClient {
  constructor (hostname: string,
               credentials?: null | { [index: string]: string; },
               options?: null | { [index: string]: any; });

  installApplication(
    request: applications_manager_pb.InstallApplicationRequest,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: applications_manager_pb.InstallApplicationResponse) => void
  ): grpcWeb.ClientReadableStream<applications_manager_pb.InstallApplicationResponse>;

  uninstallApplication(
    request: applications_manager_pb.UninstallApplicationRequest,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: applications_manager_pb.UninstallApplicationResponse) => void
  ): grpcWeb.ClientReadableStream<applications_manager_pb.UninstallApplicationResponse>;

}

export class ApplicationManagerServicePromiseClient {
  constructor (hostname: string,
               credentials?: null | { [index: string]: string; },
               options?: null | { [index: string]: any; });

  installApplication(
    request: applications_manager_pb.InstallApplicationRequest,
    metadata?: grpcWeb.Metadata
  ): Promise<applications_manager_pb.InstallApplicationResponse>;

  uninstallApplication(
    request: applications_manager_pb.UninstallApplicationRequest,
    metadata?: grpcWeb.Metadata
  ): Promise<applications_manager_pb.UninstallApplicationResponse>;

}

