import * as grpcWeb from 'grpc-web';

import * as authentication_pb from './authentication_pb'; // proto import: "authentication.proto"


export class AuthenticationServiceClient {
  constructor (hostname: string,
               credentials?: null | { [index: string]: string; },
               options?: null | { [index: string]: any; });

  validateToken(
    request: authentication_pb.ValidateTokenRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: authentication_pb.ValidateTokenRsp) => void
  ): grpcWeb.ClientReadableStream<authentication_pb.ValidateTokenRsp>;

  refreshToken(
    request: authentication_pb.RefreshTokenRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: authentication_pb.RefreshTokenRsp) => void
  ): grpcWeb.ClientReadableStream<authentication_pb.RefreshTokenRsp>;

  generatePeerToken(
    request: authentication_pb.GeneratePeerTokenRequest,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: authentication_pb.GeneratePeerTokenResponse) => void
  ): grpcWeb.ClientReadableStream<authentication_pb.GeneratePeerTokenResponse>;

  setPassword(
    request: authentication_pb.SetPasswordRequest,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: authentication_pb.SetPasswordResponse) => void
  ): grpcWeb.ClientReadableStream<authentication_pb.SetPasswordResponse>;

  setRootPassword(
    request: authentication_pb.SetRootPasswordRequest,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: authentication_pb.SetRootPasswordResponse) => void
  ): grpcWeb.ClientReadableStream<authentication_pb.SetRootPasswordResponse>;

  setRootEmail(
    request: authentication_pb.SetRootEmailRequest,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: authentication_pb.SetRootEmailResponse) => void
  ): grpcWeb.ClientReadableStream<authentication_pb.SetRootEmailResponse>;

  authenticate(
    request: authentication_pb.AuthenticateRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: authentication_pb.AuthenticateRsp) => void
  ): grpcWeb.ClientReadableStream<authentication_pb.AuthenticateRsp>;

}

export class AuthenticationServicePromiseClient {
  constructor (hostname: string,
               credentials?: null | { [index: string]: string; },
               options?: null | { [index: string]: any; });

  validateToken(
    request: authentication_pb.ValidateTokenRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<authentication_pb.ValidateTokenRsp>;

  refreshToken(
    request: authentication_pb.RefreshTokenRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<authentication_pb.RefreshTokenRsp>;

  generatePeerToken(
    request: authentication_pb.GeneratePeerTokenRequest,
    metadata?: grpcWeb.Metadata
  ): Promise<authentication_pb.GeneratePeerTokenResponse>;

  setPassword(
    request: authentication_pb.SetPasswordRequest,
    metadata?: grpcWeb.Metadata
  ): Promise<authentication_pb.SetPasswordResponse>;

  setRootPassword(
    request: authentication_pb.SetRootPasswordRequest,
    metadata?: grpcWeb.Metadata
  ): Promise<authentication_pb.SetRootPasswordResponse>;

  setRootEmail(
    request: authentication_pb.SetRootEmailRequest,
    metadata?: grpcWeb.Metadata
  ): Promise<authentication_pb.SetRootEmailResponse>;

  authenticate(
    request: authentication_pb.AuthenticateRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<authentication_pb.AuthenticateRsp>;

}

