import * as jspb from 'google-protobuf'



export class Emoji extends jspb.Message {
  getAccountId(): string;
  setAccountId(value: string): Emoji;

  getCreationtime(): number;
  setCreationtime(value: number): Emoji;

  getParent(): string;
  setParent(value: string): Emoji;

  getEmoji(): string;
  setEmoji(value: string): Emoji;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): Emoji.AsObject;
  static toObject(includeInstance: boolean, msg: Emoji): Emoji.AsObject;
  static serializeBinaryToWriter(message: Emoji, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): Emoji;
  static deserializeBinaryFromReader(message: Emoji, reader: jspb.BinaryReader): Emoji;
}

export namespace Emoji {
  export type AsObject = {
    accountId: string,
    creationtime: number,
    parent: string,
    emoji: string,
  }
}

export class Comment extends jspb.Message {
  getUuid(): string;
  setUuid(value: string): Comment;

  getParent(): string;
  setParent(value: string): Comment;

  getAccountId(): string;
  setAccountId(value: string): Comment;

  getCreationtime(): number;
  setCreationtime(value: number): Comment;

  getLanguage(): string;
  setLanguage(value: string): Comment;

  getText(): string;
  setText(value: string): Comment;

  getCommentsList(): Array<Comment>;
  setCommentsList(value: Array<Comment>): Comment;
  clearCommentsList(): Comment;
  addComments(value?: Comment, index?: number): Comment;

  getEmotionsList(): Array<Emoji>;
  setEmotionsList(value: Array<Emoji>): Comment;
  clearEmotionsList(): Comment;
  addEmotions(value?: Emoji, index?: number): Emoji;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): Comment.AsObject;
  static toObject(includeInstance: boolean, msg: Comment): Comment.AsObject;
  static serializeBinaryToWriter(message: Comment, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): Comment;
  static deserializeBinaryFromReader(message: Comment, reader: jspb.BinaryReader): Comment;
}

export namespace Comment {
  export type AsObject = {
    uuid: string,
    parent: string,
    accountId: string,
    creationtime: number,
    language: string,
    text: string,
    commentsList: Array<Comment.AsObject>,
    emotionsList: Array<Emoji.AsObject>,
  }
}

export class BlogPost extends jspb.Message {
  getUuid(): string;
  setUuid(value: string): BlogPost;

  getAuthor(): string;
  setAuthor(value: string): BlogPost;

  getText(): string;
  setText(value: string): BlogPost;

  getTitle(): string;
  setTitle(value: string): BlogPost;

  getSubtitle(): string;
  setSubtitle(value: string): BlogPost;

  getLanguage(): string;
  setLanguage(value: string): BlogPost;

  getKeywordsList(): Array<string>;
  setKeywordsList(value: Array<string>): BlogPost;
  clearKeywordsList(): BlogPost;
  addKeywords(value: string, index?: number): BlogPost;

  getCreationtime(): number;
  setCreationtime(value: number): BlogPost;

  getEmotionsList(): Array<Emoji>;
  setEmotionsList(value: Array<Emoji>): BlogPost;
  clearEmotionsList(): BlogPost;
  addEmotions(value?: Emoji, index?: number): Emoji;

  getCommentsList(): Array<Comment>;
  setCommentsList(value: Array<Comment>): BlogPost;
  clearCommentsList(): BlogPost;
  addComments(value?: Comment, index?: number): Comment;

  getThumbnail(): string;
  setThumbnail(value: string): BlogPost;

  getStatus(): BogPostStatus;
  setStatus(value: BogPostStatus): BlogPost;

  getMac(): string;
  setMac(value: string): BlogPost;

  getDomain(): string;
  setDomain(value: string): BlogPost;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): BlogPost.AsObject;
  static toObject(includeInstance: boolean, msg: BlogPost): BlogPost.AsObject;
  static serializeBinaryToWriter(message: BlogPost, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): BlogPost;
  static deserializeBinaryFromReader(message: BlogPost, reader: jspb.BinaryReader): BlogPost;
}

export namespace BlogPost {
  export type AsObject = {
    uuid: string,
    author: string,
    text: string,
    title: string,
    subtitle: string,
    language: string,
    keywordsList: Array<string>,
    creationtime: number,
    emotionsList: Array<Emoji.AsObject>,
    commentsList: Array<Comment.AsObject>,
    thumbnail: string,
    status: BogPostStatus,
    mac: string,
    domain: string,
  }
}

export class CreateBlogPostRequest extends jspb.Message {
  getIndexpath(): string;
  setIndexpath(value: string): CreateBlogPostRequest;

  getAccountId(): string;
  setAccountId(value: string): CreateBlogPostRequest;

  getLanguage(): string;
  setLanguage(value: string): CreateBlogPostRequest;

  getKeywordsList(): Array<string>;
  setKeywordsList(value: Array<string>): CreateBlogPostRequest;
  clearKeywordsList(): CreateBlogPostRequest;
  addKeywords(value: string, index?: number): CreateBlogPostRequest;

  getTitle(): string;
  setTitle(value: string): CreateBlogPostRequest;

  getSubtitle(): string;
  setSubtitle(value: string): CreateBlogPostRequest;

  getThumbnail(): string;
  setThumbnail(value: string): CreateBlogPostRequest;

  getText(): string;
  setText(value: string): CreateBlogPostRequest;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): CreateBlogPostRequest.AsObject;
  static toObject(includeInstance: boolean, msg: CreateBlogPostRequest): CreateBlogPostRequest.AsObject;
  static serializeBinaryToWriter(message: CreateBlogPostRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): CreateBlogPostRequest;
  static deserializeBinaryFromReader(message: CreateBlogPostRequest, reader: jspb.BinaryReader): CreateBlogPostRequest;
}

export namespace CreateBlogPostRequest {
  export type AsObject = {
    indexpath: string,
    accountId: string,
    language: string,
    keywordsList: Array<string>,
    title: string,
    subtitle: string,
    thumbnail: string,
    text: string,
  }
}

export class CreateBlogPostResponse extends jspb.Message {
  getBlogPost(): BlogPost | undefined;
  setBlogPost(value?: BlogPost): CreateBlogPostResponse;
  hasBlogPost(): boolean;
  clearBlogPost(): CreateBlogPostResponse;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): CreateBlogPostResponse.AsObject;
  static toObject(includeInstance: boolean, msg: CreateBlogPostResponse): CreateBlogPostResponse.AsObject;
  static serializeBinaryToWriter(message: CreateBlogPostResponse, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): CreateBlogPostResponse;
  static deserializeBinaryFromReader(message: CreateBlogPostResponse, reader: jspb.BinaryReader): CreateBlogPostResponse;
}

export namespace CreateBlogPostResponse {
  export type AsObject = {
    blogPost?: BlogPost.AsObject,
  }
}

export class SaveBlogPostRequest extends jspb.Message {
  getUuid(): string;
  setUuid(value: string): SaveBlogPostRequest;

  getBlogPost(): BlogPost | undefined;
  setBlogPost(value?: BlogPost): SaveBlogPostRequest;
  hasBlogPost(): boolean;
  clearBlogPost(): SaveBlogPostRequest;

  getIndexpath(): string;
  setIndexpath(value: string): SaveBlogPostRequest;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): SaveBlogPostRequest.AsObject;
  static toObject(includeInstance: boolean, msg: SaveBlogPostRequest): SaveBlogPostRequest.AsObject;
  static serializeBinaryToWriter(message: SaveBlogPostRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): SaveBlogPostRequest;
  static deserializeBinaryFromReader(message: SaveBlogPostRequest, reader: jspb.BinaryReader): SaveBlogPostRequest;
}

export namespace SaveBlogPostRequest {
  export type AsObject = {
    uuid: string,
    blogPost?: BlogPost.AsObject,
    indexpath: string,
  }
}

export class SaveBlogPostResponse extends jspb.Message {
  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): SaveBlogPostResponse.AsObject;
  static toObject(includeInstance: boolean, msg: SaveBlogPostResponse): SaveBlogPostResponse.AsObject;
  static serializeBinaryToWriter(message: SaveBlogPostResponse, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): SaveBlogPostResponse;
  static deserializeBinaryFromReader(message: SaveBlogPostResponse, reader: jspb.BinaryReader): SaveBlogPostResponse;
}

export namespace SaveBlogPostResponse {
  export type AsObject = {
  }
}

export class GetBlogPostsByAuthorsRequest extends jspb.Message {
  getAuthorsList(): Array<string>;
  setAuthorsList(value: Array<string>): GetBlogPostsByAuthorsRequest;
  clearAuthorsList(): GetBlogPostsByAuthorsRequest;
  addAuthors(value: string, index?: number): GetBlogPostsByAuthorsRequest;

  getMax(): number;
  setMax(value: number): GetBlogPostsByAuthorsRequest;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): GetBlogPostsByAuthorsRequest.AsObject;
  static toObject(includeInstance: boolean, msg: GetBlogPostsByAuthorsRequest): GetBlogPostsByAuthorsRequest.AsObject;
  static serializeBinaryToWriter(message: GetBlogPostsByAuthorsRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): GetBlogPostsByAuthorsRequest;
  static deserializeBinaryFromReader(message: GetBlogPostsByAuthorsRequest, reader: jspb.BinaryReader): GetBlogPostsByAuthorsRequest;
}

export namespace GetBlogPostsByAuthorsRequest {
  export type AsObject = {
    authorsList: Array<string>,
    max: number,
  }
}

export class GetBlogPostsByAuthorsResponse extends jspb.Message {
  getBlogPost(): BlogPost | undefined;
  setBlogPost(value?: BlogPost): GetBlogPostsByAuthorsResponse;
  hasBlogPost(): boolean;
  clearBlogPost(): GetBlogPostsByAuthorsResponse;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): GetBlogPostsByAuthorsResponse.AsObject;
  static toObject(includeInstance: boolean, msg: GetBlogPostsByAuthorsResponse): GetBlogPostsByAuthorsResponse.AsObject;
  static serializeBinaryToWriter(message: GetBlogPostsByAuthorsResponse, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): GetBlogPostsByAuthorsResponse;
  static deserializeBinaryFromReader(message: GetBlogPostsByAuthorsResponse, reader: jspb.BinaryReader): GetBlogPostsByAuthorsResponse;
}

export namespace GetBlogPostsByAuthorsResponse {
  export type AsObject = {
    blogPost?: BlogPost.AsObject,
  }
}

export class GetBlogPostsRequest extends jspb.Message {
  getUuidsList(): Array<string>;
  setUuidsList(value: Array<string>): GetBlogPostsRequest;
  clearUuidsList(): GetBlogPostsRequest;
  addUuids(value: string, index?: number): GetBlogPostsRequest;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): GetBlogPostsRequest.AsObject;
  static toObject(includeInstance: boolean, msg: GetBlogPostsRequest): GetBlogPostsRequest.AsObject;
  static serializeBinaryToWriter(message: GetBlogPostsRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): GetBlogPostsRequest;
  static deserializeBinaryFromReader(message: GetBlogPostsRequest, reader: jspb.BinaryReader): GetBlogPostsRequest;
}

export namespace GetBlogPostsRequest {
  export type AsObject = {
    uuidsList: Array<string>,
  }
}

export class GetBlogPostsResponse extends jspb.Message {
  getBlogPost(): BlogPost | undefined;
  setBlogPost(value?: BlogPost): GetBlogPostsResponse;
  hasBlogPost(): boolean;
  clearBlogPost(): GetBlogPostsResponse;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): GetBlogPostsResponse.AsObject;
  static toObject(includeInstance: boolean, msg: GetBlogPostsResponse): GetBlogPostsResponse.AsObject;
  static serializeBinaryToWriter(message: GetBlogPostsResponse, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): GetBlogPostsResponse;
  static deserializeBinaryFromReader(message: GetBlogPostsResponse, reader: jspb.BinaryReader): GetBlogPostsResponse;
}

export namespace GetBlogPostsResponse {
  export type AsObject = {
    blogPost?: BlogPost.AsObject,
  }
}

export class DeleteBlogPostRequest extends jspb.Message {
  getUuid(): string;
  setUuid(value: string): DeleteBlogPostRequest;

  getIndexpath(): string;
  setIndexpath(value: string): DeleteBlogPostRequest;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): DeleteBlogPostRequest.AsObject;
  static toObject(includeInstance: boolean, msg: DeleteBlogPostRequest): DeleteBlogPostRequest.AsObject;
  static serializeBinaryToWriter(message: DeleteBlogPostRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): DeleteBlogPostRequest;
  static deserializeBinaryFromReader(message: DeleteBlogPostRequest, reader: jspb.BinaryReader): DeleteBlogPostRequest;
}

export namespace DeleteBlogPostRequest {
  export type AsObject = {
    uuid: string,
    indexpath: string,
  }
}

export class DeleteBlogPostResponse extends jspb.Message {
  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): DeleteBlogPostResponse.AsObject;
  static toObject(includeInstance: boolean, msg: DeleteBlogPostResponse): DeleteBlogPostResponse.AsObject;
  static serializeBinaryToWriter(message: DeleteBlogPostResponse, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): DeleteBlogPostResponse;
  static deserializeBinaryFromReader(message: DeleteBlogPostResponse, reader: jspb.BinaryReader): DeleteBlogPostResponse;
}

export namespace DeleteBlogPostResponse {
  export type AsObject = {
  }
}

export class AddEmojiRequest extends jspb.Message {
  getUuid(): string;
  setUuid(value: string): AddEmojiRequest;

  getEmoji(): Emoji | undefined;
  setEmoji(value?: Emoji): AddEmojiRequest;
  hasEmoji(): boolean;
  clearEmoji(): AddEmojiRequest;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): AddEmojiRequest.AsObject;
  static toObject(includeInstance: boolean, msg: AddEmojiRequest): AddEmojiRequest.AsObject;
  static serializeBinaryToWriter(message: AddEmojiRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): AddEmojiRequest;
  static deserializeBinaryFromReader(message: AddEmojiRequest, reader: jspb.BinaryReader): AddEmojiRequest;
}

export namespace AddEmojiRequest {
  export type AsObject = {
    uuid: string,
    emoji?: Emoji.AsObject,
  }
}

export class AddEmojiResponse extends jspb.Message {
  getEmoji(): Emoji | undefined;
  setEmoji(value?: Emoji): AddEmojiResponse;
  hasEmoji(): boolean;
  clearEmoji(): AddEmojiResponse;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): AddEmojiResponse.AsObject;
  static toObject(includeInstance: boolean, msg: AddEmojiResponse): AddEmojiResponse.AsObject;
  static serializeBinaryToWriter(message: AddEmojiResponse, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): AddEmojiResponse;
  static deserializeBinaryFromReader(message: AddEmojiResponse, reader: jspb.BinaryReader): AddEmojiResponse;
}

export namespace AddEmojiResponse {
  export type AsObject = {
    emoji?: Emoji.AsObject,
  }
}

export class RemoveEmojiRequest extends jspb.Message {
  getUuid(): string;
  setUuid(value: string): RemoveEmojiRequest;

  getEmoji(): Emoji | undefined;
  setEmoji(value?: Emoji): RemoveEmojiRequest;
  hasEmoji(): boolean;
  clearEmoji(): RemoveEmojiRequest;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): RemoveEmojiRequest.AsObject;
  static toObject(includeInstance: boolean, msg: RemoveEmojiRequest): RemoveEmojiRequest.AsObject;
  static serializeBinaryToWriter(message: RemoveEmojiRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): RemoveEmojiRequest;
  static deserializeBinaryFromReader(message: RemoveEmojiRequest, reader: jspb.BinaryReader): RemoveEmojiRequest;
}

export namespace RemoveEmojiRequest {
  export type AsObject = {
    uuid: string,
    emoji?: Emoji.AsObject,
  }
}

export class RemoveEmojiResponse extends jspb.Message {
  getEmoji(): Emoji | undefined;
  setEmoji(value?: Emoji): RemoveEmojiResponse;
  hasEmoji(): boolean;
  clearEmoji(): RemoveEmojiResponse;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): RemoveEmojiResponse.AsObject;
  static toObject(includeInstance: boolean, msg: RemoveEmojiResponse): RemoveEmojiResponse.AsObject;
  static serializeBinaryToWriter(message: RemoveEmojiResponse, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): RemoveEmojiResponse;
  static deserializeBinaryFromReader(message: RemoveEmojiResponse, reader: jspb.BinaryReader): RemoveEmojiResponse;
}

export namespace RemoveEmojiResponse {
  export type AsObject = {
    emoji?: Emoji.AsObject,
  }
}

export class AddCommentRequest extends jspb.Message {
  getUuid(): string;
  setUuid(value: string): AddCommentRequest;

  getComment(): Comment | undefined;
  setComment(value?: Comment): AddCommentRequest;
  hasComment(): boolean;
  clearComment(): AddCommentRequest;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): AddCommentRequest.AsObject;
  static toObject(includeInstance: boolean, msg: AddCommentRequest): AddCommentRequest.AsObject;
  static serializeBinaryToWriter(message: AddCommentRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): AddCommentRequest;
  static deserializeBinaryFromReader(message: AddCommentRequest, reader: jspb.BinaryReader): AddCommentRequest;
}

export namespace AddCommentRequest {
  export type AsObject = {
    uuid: string,
    comment?: Comment.AsObject,
  }
}

export class AddCommentResponse extends jspb.Message {
  getComment(): Comment | undefined;
  setComment(value?: Comment): AddCommentResponse;
  hasComment(): boolean;
  clearComment(): AddCommentResponse;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): AddCommentResponse.AsObject;
  static toObject(includeInstance: boolean, msg: AddCommentResponse): AddCommentResponse.AsObject;
  static serializeBinaryToWriter(message: AddCommentResponse, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): AddCommentResponse;
  static deserializeBinaryFromReader(message: AddCommentResponse, reader: jspb.BinaryReader): AddCommentResponse;
}

export namespace AddCommentResponse {
  export type AsObject = {
    comment?: Comment.AsObject,
  }
}

export class RemoveCommentRequest extends jspb.Message {
  getUuid(): string;
  setUuid(value: string): RemoveCommentRequest;

  getComment(): Comment | undefined;
  setComment(value?: Comment): RemoveCommentRequest;
  hasComment(): boolean;
  clearComment(): RemoveCommentRequest;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): RemoveCommentRequest.AsObject;
  static toObject(includeInstance: boolean, msg: RemoveCommentRequest): RemoveCommentRequest.AsObject;
  static serializeBinaryToWriter(message: RemoveCommentRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): RemoveCommentRequest;
  static deserializeBinaryFromReader(message: RemoveCommentRequest, reader: jspb.BinaryReader): RemoveCommentRequest;
}

export namespace RemoveCommentRequest {
  export type AsObject = {
    uuid: string,
    comment?: Comment.AsObject,
  }
}

export class RemoveCommentResponse extends jspb.Message {
  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): RemoveCommentResponse.AsObject;
  static toObject(includeInstance: boolean, msg: RemoveCommentResponse): RemoveCommentResponse.AsObject;
  static serializeBinaryToWriter(message: RemoveCommentResponse, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): RemoveCommentResponse;
  static deserializeBinaryFromReader(message: RemoveCommentResponse, reader: jspb.BinaryReader): RemoveCommentResponse;
}

export namespace RemoveCommentResponse {
  export type AsObject = {
  }
}

export class Snippet extends jspb.Message {
  getField(): string;
  setField(value: string): Snippet;

  getFragmentsList(): Array<string>;
  setFragmentsList(value: Array<string>): Snippet;
  clearFragmentsList(): Snippet;
  addFragments(value: string, index?: number): Snippet;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): Snippet.AsObject;
  static toObject(includeInstance: boolean, msg: Snippet): Snippet.AsObject;
  static serializeBinaryToWriter(message: Snippet, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): Snippet;
  static deserializeBinaryFromReader(message: Snippet, reader: jspb.BinaryReader): Snippet;
}

export namespace Snippet {
  export type AsObject = {
    field: string,
    fragmentsList: Array<string>,
  }
}

export class SearchHit extends jspb.Message {
  getIndex(): number;
  setIndex(value: number): SearchHit;

  getScore(): number;
  setScore(value: number): SearchHit;

  getSnippetsList(): Array<Snippet>;
  setSnippetsList(value: Array<Snippet>): SearchHit;
  clearSnippetsList(): SearchHit;
  addSnippets(value?: Snippet, index?: number): Snippet;

  getBlog(): BlogPost | undefined;
  setBlog(value?: BlogPost): SearchHit;
  hasBlog(): boolean;
  clearBlog(): SearchHit;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): SearchHit.AsObject;
  static toObject(includeInstance: boolean, msg: SearchHit): SearchHit.AsObject;
  static serializeBinaryToWriter(message: SearchHit, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): SearchHit;
  static deserializeBinaryFromReader(message: SearchHit, reader: jspb.BinaryReader): SearchHit;
}

export namespace SearchHit {
  export type AsObject = {
    index: number,
    score: number,
    snippetsList: Array<Snippet.AsObject>,
    blog?: BlogPost.AsObject,
  }
}

export class SearchSummary extends jspb.Message {
  getQuery(): string;
  setQuery(value: string): SearchSummary;

  getTotal(): number;
  setTotal(value: number): SearchSummary;

  getTook(): number;
  setTook(value: number): SearchSummary;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): SearchSummary.AsObject;
  static toObject(includeInstance: boolean, msg: SearchSummary): SearchSummary.AsObject;
  static serializeBinaryToWriter(message: SearchSummary, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): SearchSummary;
  static deserializeBinaryFromReader(message: SearchSummary, reader: jspb.BinaryReader): SearchSummary;
}

export namespace SearchSummary {
  export type AsObject = {
    query: string,
    total: number,
    took: number,
  }
}

export class SearchFacetTerm extends jspb.Message {
  getTerm(): string;
  setTerm(value: string): SearchFacetTerm;

  getCount(): number;
  setCount(value: number): SearchFacetTerm;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): SearchFacetTerm.AsObject;
  static toObject(includeInstance: boolean, msg: SearchFacetTerm): SearchFacetTerm.AsObject;
  static serializeBinaryToWriter(message: SearchFacetTerm, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): SearchFacetTerm;
  static deserializeBinaryFromReader(message: SearchFacetTerm, reader: jspb.BinaryReader): SearchFacetTerm;
}

export namespace SearchFacetTerm {
  export type AsObject = {
    term: string,
    count: number,
  }
}

export class SearchFacet extends jspb.Message {
  getField(): string;
  setField(value: string): SearchFacet;

  getTotal(): number;
  setTotal(value: number): SearchFacet;

  getTermsList(): Array<SearchFacetTerm>;
  setTermsList(value: Array<SearchFacetTerm>): SearchFacet;
  clearTermsList(): SearchFacet;
  addTerms(value?: SearchFacetTerm, index?: number): SearchFacetTerm;

  getOther(): number;
  setOther(value: number): SearchFacet;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): SearchFacet.AsObject;
  static toObject(includeInstance: boolean, msg: SearchFacet): SearchFacet.AsObject;
  static serializeBinaryToWriter(message: SearchFacet, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): SearchFacet;
  static deserializeBinaryFromReader(message: SearchFacet, reader: jspb.BinaryReader): SearchFacet;
}

export namespace SearchFacet {
  export type AsObject = {
    field: string,
    total: number,
    termsList: Array<SearchFacetTerm.AsObject>,
    other: number,
  }
}

export class SearchFacets extends jspb.Message {
  getFacetsList(): Array<SearchFacet>;
  setFacetsList(value: Array<SearchFacet>): SearchFacets;
  clearFacetsList(): SearchFacets;
  addFacets(value?: SearchFacet, index?: number): SearchFacet;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): SearchFacets.AsObject;
  static toObject(includeInstance: boolean, msg: SearchFacets): SearchFacets.AsObject;
  static serializeBinaryToWriter(message: SearchFacets, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): SearchFacets;
  static deserializeBinaryFromReader(message: SearchFacets, reader: jspb.BinaryReader): SearchFacets;
}

export namespace SearchFacets {
  export type AsObject = {
    facetsList: Array<SearchFacet.AsObject>,
  }
}

export class SearchBlogPostsRequest extends jspb.Message {
  getQuery(): string;
  setQuery(value: string): SearchBlogPostsRequest;

  getFieldsList(): Array<string>;
  setFieldsList(value: Array<string>): SearchBlogPostsRequest;
  clearFieldsList(): SearchBlogPostsRequest;
  addFields(value: string, index?: number): SearchBlogPostsRequest;

  getIndexpath(): string;
  setIndexpath(value: string): SearchBlogPostsRequest;

  getSize(): number;
  setSize(value: number): SearchBlogPostsRequest;

  getOffset(): number;
  setOffset(value: number): SearchBlogPostsRequest;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): SearchBlogPostsRequest.AsObject;
  static toObject(includeInstance: boolean, msg: SearchBlogPostsRequest): SearchBlogPostsRequest.AsObject;
  static serializeBinaryToWriter(message: SearchBlogPostsRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): SearchBlogPostsRequest;
  static deserializeBinaryFromReader(message: SearchBlogPostsRequest, reader: jspb.BinaryReader): SearchBlogPostsRequest;
}

export namespace SearchBlogPostsRequest {
  export type AsObject = {
    query: string,
    fieldsList: Array<string>,
    indexpath: string,
    size: number,
    offset: number,
  }
}

export class SearchBlogPostsResponse extends jspb.Message {
  getSummary(): SearchSummary | undefined;
  setSummary(value?: SearchSummary): SearchBlogPostsResponse;
  hasSummary(): boolean;
  clearSummary(): SearchBlogPostsResponse;

  getHit(): SearchHit | undefined;
  setHit(value?: SearchHit): SearchBlogPostsResponse;
  hasHit(): boolean;
  clearHit(): SearchBlogPostsResponse;

  getFacets(): SearchFacets | undefined;
  setFacets(value?: SearchFacets): SearchBlogPostsResponse;
  hasFacets(): boolean;
  clearFacets(): SearchBlogPostsResponse;

  getResultCase(): SearchBlogPostsResponse.ResultCase;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): SearchBlogPostsResponse.AsObject;
  static toObject(includeInstance: boolean, msg: SearchBlogPostsResponse): SearchBlogPostsResponse.AsObject;
  static serializeBinaryToWriter(message: SearchBlogPostsResponse, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): SearchBlogPostsResponse;
  static deserializeBinaryFromReader(message: SearchBlogPostsResponse, reader: jspb.BinaryReader): SearchBlogPostsResponse;
}

export namespace SearchBlogPostsResponse {
  export type AsObject = {
    summary?: SearchSummary.AsObject,
    hit?: SearchHit.AsObject,
    facets?: SearchFacets.AsObject,
  }

  export enum ResultCase { 
    RESULT_NOT_SET = 0,
    SUMMARY = 1,
    HIT = 2,
    FACETS = 3,
  }
}

export enum BogPostStatus { 
  DRAFT = 0,
  PUBLISHED = 1,
  ARCHIVED = 2,
}
