import * as grpcWeb from 'grpc-web';

import * as discovery_pb from './discovery_pb'; // proto import: "discovery.proto"


export class PackageDiscoveryClient {
  constructor (hostname: string,
               credentials?: null | { [index: string]: string; },
               options?: null | { [index: string]: any; });

  publishService(
    request: discovery_pb.PublishServiceRequest,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: discovery_pb.PublishServiceResponse) => void
  ): grpcWeb.ClientReadableStream<discovery_pb.PublishServiceResponse>;

  publishApplication(
    request: discovery_pb.PublishApplicationRequest,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: discovery_pb.PublishApplicationResponse) => void
  ): grpcWeb.ClientReadableStream<discovery_pb.PublishApplicationResponse>;

}

export class PackageDiscoveryPromiseClient {
  constructor (hostname: string,
               credentials?: null | { [index: string]: string; },
               options?: null | { [index: string]: any; });

  publishService(
    request: discovery_pb.PublishServiceRequest,
    metadata?: grpcWeb.Metadata
  ): Promise<discovery_pb.PublishServiceResponse>;

  publishApplication(
    request: discovery_pb.PublishApplicationRequest,
    metadata?: grpcWeb.Metadata
  ): Promise<discovery_pb.PublishApplicationResponse>;

}

