import * as jspb from 'google-protobuf'

import * as resource_pb from '../resource/resource_pb'; // proto import: "resource.proto"


export class PublishServiceRequest extends jspb.Message {
  getServiceid(): string;
  setServiceid(value: string): PublishServiceRequest;

  getServicename(): string;
  setServicename(value: string): PublishServiceRequest;

  getUser(): string;
  setUser(value: string): PublishServiceRequest;

  getOrganization(): string;
  setOrganization(value: string): PublishServiceRequest;

  getDicorveryid(): string;
  setDicorveryid(value: string): PublishServiceRequest;

  getRepositoryid(): string;
  setRepositoryid(value: string): PublishServiceRequest;

  getDescription(): string;
  setDescription(value: string): PublishServiceRequest;

  getKeywordsList(): Array<string>;
  setKeywordsList(value: Array<string>): PublishServiceRequest;
  clearKeywordsList(): PublishServiceRequest;
  addKeywords(value: string, index?: number): PublishServiceRequest;

  getVersion(): string;
  setVersion(value: string): PublishServiceRequest;

  getPlatform(): string;
  setPlatform(value: string): PublishServiceRequest;

  getPath(): string;
  setPath(value: string): PublishServiceRequest;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): PublishServiceRequest.AsObject;
  static toObject(includeInstance: boolean, msg: PublishServiceRequest): PublishServiceRequest.AsObject;
  static serializeBinaryToWriter(message: PublishServiceRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): PublishServiceRequest;
  static deserializeBinaryFromReader(message: PublishServiceRequest, reader: jspb.BinaryReader): PublishServiceRequest;
}

export namespace PublishServiceRequest {
  export type AsObject = {
    serviceid: string,
    servicename: string,
    user: string,
    organization: string,
    dicorveryid: string,
    repositoryid: string,
    description: string,
    keywordsList: Array<string>,
    version: string,
    platform: string,
    path: string,
  }
}

export class PublishServiceResponse extends jspb.Message {
  getResult(): boolean;
  setResult(value: boolean): PublishServiceResponse;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): PublishServiceResponse.AsObject;
  static toObject(includeInstance: boolean, msg: PublishServiceResponse): PublishServiceResponse.AsObject;
  static serializeBinaryToWriter(message: PublishServiceResponse, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): PublishServiceResponse;
  static deserializeBinaryFromReader(message: PublishServiceResponse, reader: jspb.BinaryReader): PublishServiceResponse;
}

export namespace PublishServiceResponse {
  export type AsObject = {
    result: boolean,
  }
}

export class PublishApplicationRequest extends jspb.Message {
  getName(): string;
  setName(value: string): PublishApplicationRequest;

  getDomain(): string;
  setDomain(value: string): PublishApplicationRequest;

  getData(): Uint8Array | string;
  getData_asU8(): Uint8Array;
  getData_asB64(): string;
  setData(value: Uint8Array | string): PublishApplicationRequest;

  getUser(): string;
  setUser(value: string): PublishApplicationRequest;

  getOrganization(): string;
  setOrganization(value: string): PublishApplicationRequest;

  getVersion(): string;
  setVersion(value: string): PublishApplicationRequest;

  getKeywordsList(): Array<string>;
  setKeywordsList(value: Array<string>): PublishApplicationRequest;
  clearKeywordsList(): PublishApplicationRequest;
  addKeywords(value: string, index?: number): PublishApplicationRequest;

  getDescription(): string;
  setDescription(value: string): PublishApplicationRequest;

  getActionsList(): Array<string>;
  setActionsList(value: Array<string>): PublishApplicationRequest;
  clearActionsList(): PublishApplicationRequest;
  addActions(value: string, index?: number): PublishApplicationRequest;

  getRepository(): string;
  setRepository(value: string): PublishApplicationRequest;

  getDiscovery(): string;
  setDiscovery(value: string): PublishApplicationRequest;

  getIcon(): string;
  setIcon(value: string): PublishApplicationRequest;

  getAlias(): string;
  setAlias(value: string): PublishApplicationRequest;

  getRolesList(): Array<resource_pb.Role>;
  setRolesList(value: Array<resource_pb.Role>): PublishApplicationRequest;
  clearRolesList(): PublishApplicationRequest;
  addRoles(value?: resource_pb.Role, index?: number): resource_pb.Role;

  getGroupsList(): Array<resource_pb.Group>;
  setGroupsList(value: Array<resource_pb.Group>): PublishApplicationRequest;
  clearGroupsList(): PublishApplicationRequest;
  addGroups(value?: resource_pb.Group, index?: number): resource_pb.Group;

  getSetAsDefault(): boolean;
  setSetAsDefault(value: boolean): PublishApplicationRequest;

  getPath(): string;
  setPath(value: string): PublishApplicationRequest;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): PublishApplicationRequest.AsObject;
  static toObject(includeInstance: boolean, msg: PublishApplicationRequest): PublishApplicationRequest.AsObject;
  static serializeBinaryToWriter(message: PublishApplicationRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): PublishApplicationRequest;
  static deserializeBinaryFromReader(message: PublishApplicationRequest, reader: jspb.BinaryReader): PublishApplicationRequest;
}

export namespace PublishApplicationRequest {
  export type AsObject = {
    name: string,
    domain: string,
    data: Uint8Array | string,
    user: string,
    organization: string,
    version: string,
    keywordsList: Array<string>,
    description: string,
    actionsList: Array<string>,
    repository: string,
    discovery: string,
    icon: string,
    alias: string,
    rolesList: Array<resource_pb.Role.AsObject>,
    groupsList: Array<resource_pb.Group.AsObject>,
    setAsDefault: boolean,
    path: string,
  }
}

export class PublishApplicationResponse extends jspb.Message {
  getResult(): boolean;
  setResult(value: boolean): PublishApplicationResponse;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): PublishApplicationResponse.AsObject;
  static toObject(includeInstance: boolean, msg: PublishApplicationResponse): PublishApplicationResponse.AsObject;
  static serializeBinaryToWriter(message: PublishApplicationResponse, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): PublishApplicationResponse;
  static deserializeBinaryFromReader(message: PublishApplicationResponse, reader: jspb.BinaryReader): PublishApplicationResponse;
}

export namespace PublishApplicationResponse {
  export type AsObject = {
    result: boolean,
  }
}

