import * as grpcWeb from 'grpc-web';

import * as log_pb from './log_pb'; // proto import: "log.proto"


export class LogServiceClient {
  constructor (hostname: string,
               credentials?: null | { [index: string]: string; },
               options?: null | { [index: string]: any; });

  log(
    request: log_pb.LogRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: log_pb.LogRsp) => void
  ): grpcWeb.ClientReadableStream<log_pb.LogRsp>;

  getLog(
    request: log_pb.GetLogRqst,
    metadata?: grpcWeb.Metadata
  ): grpcWeb.ClientReadableStream<log_pb.GetLogRsp>;

  deleteLog(
    request: log_pb.DeleteLogRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: log_pb.DeleteLogRsp) => void
  ): grpcWeb.ClientReadableStream<log_pb.DeleteLogRsp>;

  clearAllLog(
    request: log_pb.ClearAllLogRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: log_pb.ClearAllLogRsp) => void
  ): grpcWeb.ClientReadableStream<log_pb.ClearAllLogRsp>;

}

export class LogServicePromiseClient {
  constructor (hostname: string,
               credentials?: null | { [index: string]: string; },
               options?: null | { [index: string]: any; });

  log(
    request: log_pb.LogRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<log_pb.LogRsp>;

  getLog(
    request: log_pb.GetLogRqst,
    metadata?: grpcWeb.Metadata
  ): grpcWeb.ClientReadableStream<log_pb.GetLogRsp>;

  deleteLog(
    request: log_pb.DeleteLogRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<log_pb.DeleteLogRsp>;

  clearAllLog(
    request: log_pb.ClearAllLogRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<log_pb.ClearAllLogRsp>;

}

