import * as jspb from 'google-protobuf'



export class LogInfo extends jspb.Message {
  getId(): string;
  setId(value: string): LogInfo;

  getLevel(): LogLevel;
  setLevel(value: LogLevel): LogInfo;

  getApplication(): string;
  setApplication(value: string): LogInfo;

  getMethod(): string;
  setMethod(value: string): LogInfo;

  getMessage(): string;
  setMessage(value: string): LogInfo;

  getLine(): string;
  setLine(value: string): LogInfo;

  getOccurences(): number;
  setOccurences(value: number): LogInfo;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): LogInfo.AsObject;
  static toObject(includeInstance: boolean, msg: LogInfo): LogInfo.AsObject;
  static serializeBinaryToWriter(message: LogInfo, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): LogInfo;
  static deserializeBinaryFromReader(message: LogInfo, reader: jspb.BinaryReader): LogInfo;
}

export namespace LogInfo {
  export type AsObject = {
    id: string,
    level: LogLevel,
    application: string,
    method: string,
    message: string,
    line: string,
    occurences: number,
  }
}

export class LogRqst extends jspb.Message {
  getInfo(): LogInfo | undefined;
  setInfo(value?: LogInfo): LogRqst;
  hasInfo(): boolean;
  clearInfo(): LogRqst;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): LogRqst.AsObject;
  static toObject(includeInstance: boolean, msg: LogRqst): LogRqst.AsObject;
  static serializeBinaryToWriter(message: LogRqst, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): LogRqst;
  static deserializeBinaryFromReader(message: LogRqst, reader: jspb.BinaryReader): LogRqst;
}

export namespace LogRqst {
  export type AsObject = {
    info?: LogInfo.AsObject,
  }
}

export class LogRsp extends jspb.Message {
  getResult(): boolean;
  setResult(value: boolean): LogRsp;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): LogRsp.AsObject;
  static toObject(includeInstance: boolean, msg: LogRsp): LogRsp.AsObject;
  static serializeBinaryToWriter(message: LogRsp, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): LogRsp;
  static deserializeBinaryFromReader(message: LogRsp, reader: jspb.BinaryReader): LogRsp;
}

export namespace LogRsp {
  export type AsObject = {
    result: boolean,
  }
}

export class DeleteLogRqst extends jspb.Message {
  getLog(): LogInfo | undefined;
  setLog(value?: LogInfo): DeleteLogRqst;
  hasLog(): boolean;
  clearLog(): DeleteLogRqst;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): DeleteLogRqst.AsObject;
  static toObject(includeInstance: boolean, msg: DeleteLogRqst): DeleteLogRqst.AsObject;
  static serializeBinaryToWriter(message: DeleteLogRqst, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): DeleteLogRqst;
  static deserializeBinaryFromReader(message: DeleteLogRqst, reader: jspb.BinaryReader): DeleteLogRqst;
}

export namespace DeleteLogRqst {
  export type AsObject = {
    log?: LogInfo.AsObject,
  }
}

export class DeleteLogRsp extends jspb.Message {
  getResult(): boolean;
  setResult(value: boolean): DeleteLogRsp;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): DeleteLogRsp.AsObject;
  static toObject(includeInstance: boolean, msg: DeleteLogRsp): DeleteLogRsp.AsObject;
  static serializeBinaryToWriter(message: DeleteLogRsp, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): DeleteLogRsp;
  static deserializeBinaryFromReader(message: DeleteLogRsp, reader: jspb.BinaryReader): DeleteLogRsp;
}

export namespace DeleteLogRsp {
  export type AsObject = {
    result: boolean,
  }
}

export class GetLogRqst extends jspb.Message {
  getQuery(): string;
  setQuery(value: string): GetLogRqst;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): GetLogRqst.AsObject;
  static toObject(includeInstance: boolean, msg: GetLogRqst): GetLogRqst.AsObject;
  static serializeBinaryToWriter(message: GetLogRqst, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): GetLogRqst;
  static deserializeBinaryFromReader(message: GetLogRqst, reader: jspb.BinaryReader): GetLogRqst;
}

export namespace GetLogRqst {
  export type AsObject = {
    query: string,
  }
}

export class GetLogRsp extends jspb.Message {
  getInfosList(): Array<LogInfo>;
  setInfosList(value: Array<LogInfo>): GetLogRsp;
  clearInfosList(): GetLogRsp;
  addInfos(value?: LogInfo, index?: number): LogInfo;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): GetLogRsp.AsObject;
  static toObject(includeInstance: boolean, msg: GetLogRsp): GetLogRsp.AsObject;
  static serializeBinaryToWriter(message: GetLogRsp, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): GetLogRsp;
  static deserializeBinaryFromReader(message: GetLogRsp, reader: jspb.BinaryReader): GetLogRsp;
}

export namespace GetLogRsp {
  export type AsObject = {
    infosList: Array<LogInfo.AsObject>,
  }
}

export class ClearAllLogRqst extends jspb.Message {
  getQuery(): string;
  setQuery(value: string): ClearAllLogRqst;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): ClearAllLogRqst.AsObject;
  static toObject(includeInstance: boolean, msg: ClearAllLogRqst): ClearAllLogRqst.AsObject;
  static serializeBinaryToWriter(message: ClearAllLogRqst, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): ClearAllLogRqst;
  static deserializeBinaryFromReader(message: ClearAllLogRqst, reader: jspb.BinaryReader): ClearAllLogRqst;
}

export namespace ClearAllLogRqst {
  export type AsObject = {
    query: string,
  }
}

export class ClearAllLogRsp extends jspb.Message {
  getResult(): boolean;
  setResult(value: boolean): ClearAllLogRsp;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): ClearAllLogRsp.AsObject;
  static toObject(includeInstance: boolean, msg: ClearAllLogRsp): ClearAllLogRsp.AsObject;
  static serializeBinaryToWriter(message: ClearAllLogRsp, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): ClearAllLogRsp;
  static deserializeBinaryFromReader(message: ClearAllLogRsp, reader: jspb.BinaryReader): ClearAllLogRsp;
}

export namespace ClearAllLogRsp {
  export type AsObject = {
    result: boolean,
  }
}

export enum LogLevel { 
  FATAL_MESSAGE = 0,
  ERROR_MESSAGE = 1,
  WARN_MESSAGE = 2,
  INFO_MESSAGE = 3,
  DEBUG_MESSAGE = 4,
  TRACE_MESSAGE = 5,
}
