import * as grpcWeb from 'grpc-web';

import * as rbac_pb from './rbac_pb'; // proto import: "rbac.proto"


export class RbacServiceClient {
  constructor (hostname: string,
               credentials?: null | { [index: string]: string; },
               options?: null | { [index: string]: any; });

  setResourcePermissions(
    request: rbac_pb.SetResourcePermissionsRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: rbac_pb.SetResourcePermissionsRsp) => void
  ): grpcWeb.ClientReadableStream<rbac_pb.SetResourcePermissionsRsp>;

  deleteResourcePermissions(
    request: rbac_pb.DeleteResourcePermissionsRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: rbac_pb.DeleteResourcePermissionsRsp) => void
  ): grpcWeb.ClientReadableStream<rbac_pb.DeleteResourcePermissionsRsp>;

  deleteResourcePermission(
    request: rbac_pb.DeleteResourcePermissionRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: rbac_pb.DeleteResourcePermissionRsp) => void
  ): grpcWeb.ClientReadableStream<rbac_pb.DeleteResourcePermissionRsp>;

  getResourcePermission(
    request: rbac_pb.GetResourcePermissionRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: rbac_pb.GetResourcePermissionRsp) => void
  ): grpcWeb.ClientReadableStream<rbac_pb.GetResourcePermissionRsp>;

  setResourcePermission(
    request: rbac_pb.SetResourcePermissionRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: rbac_pb.SetResourcePermissionRsp) => void
  ): grpcWeb.ClientReadableStream<rbac_pb.SetResourcePermissionRsp>;

  getResourcePermissions(
    request: rbac_pb.GetResourcePermissionsRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: rbac_pb.GetResourcePermissionsRsp) => void
  ): grpcWeb.ClientReadableStream<rbac_pb.GetResourcePermissionsRsp>;

  getResourcePermissionsByResourceType(
    request: rbac_pb.GetResourcePermissionsByResourceTypeRqst,
    metadata?: grpcWeb.Metadata
  ): grpcWeb.ClientReadableStream<rbac_pb.GetResourcePermissionsByResourceTypeRsp>;

  getResourcePermissionsBySubject(
    request: rbac_pb.GetResourcePermissionsBySubjectRqst,
    metadata?: grpcWeb.Metadata
  ): grpcWeb.ClientReadableStream<rbac_pb.GetResourcePermissionsBySubjectRsp>;

  addResourceOwner(
    request: rbac_pb.AddResourceOwnerRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: rbac_pb.AddResourceOwnerRsp) => void
  ): grpcWeb.ClientReadableStream<rbac_pb.AddResourceOwnerRsp>;

  removeResourceOwner(
    request: rbac_pb.RemoveResourceOwnerRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: rbac_pb.RemoveResourceOwnerRsp) => void
  ): grpcWeb.ClientReadableStream<rbac_pb.RemoveResourceOwnerRsp>;

  deleteAllAccess(
    request: rbac_pb.DeleteAllAccessRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: rbac_pb.DeleteAllAccessRsp) => void
  ): grpcWeb.ClientReadableStream<rbac_pb.DeleteAllAccessRsp>;

  validateAccess(
    request: rbac_pb.ValidateAccessRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: rbac_pb.ValidateAccessRsp) => void
  ): grpcWeb.ClientReadableStream<rbac_pb.ValidateAccessRsp>;

  setActionResourcesPermissions(
    request: rbac_pb.SetActionResourcesPermissionsRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: rbac_pb.SetActionResourcesPermissionsRsp) => void
  ): grpcWeb.ClientReadableStream<rbac_pb.SetActionResourcesPermissionsRsp>;

  getActionResourceInfos(
    request: rbac_pb.GetActionResourceInfosRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: rbac_pb.GetActionResourceInfosRsp) => void
  ): grpcWeb.ClientReadableStream<rbac_pb.GetActionResourceInfosRsp>;

  validateAction(
    request: rbac_pb.ValidateActionRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: rbac_pb.ValidateActionRsp) => void
  ): grpcWeb.ClientReadableStream<rbac_pb.ValidateActionRsp>;

  validateSubjectSpace(
    request: rbac_pb.ValidateSubjectSpaceRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: rbac_pb.ValidateSubjectSpaceRsp) => void
  ): grpcWeb.ClientReadableStream<rbac_pb.ValidateSubjectSpaceRsp>;

  getSubjectAvailableSpace(
    request: rbac_pb.GetSubjectAvailableSpaceRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: rbac_pb.GetSubjectAvailableSpaceRsp) => void
  ): grpcWeb.ClientReadableStream<rbac_pb.GetSubjectAvailableSpaceRsp>;

  getSubjectAllocatedSpace(
    request: rbac_pb.GetSubjectAllocatedSpaceRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: rbac_pb.GetSubjectAllocatedSpaceRsp) => void
  ): grpcWeb.ClientReadableStream<rbac_pb.GetSubjectAllocatedSpaceRsp>;

  setSubjectAllocatedSpace(
    request: rbac_pb.SetSubjectAllocatedSpaceRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: rbac_pb.SetSubjectAllocatedSpaceRsp) => void
  ): grpcWeb.ClientReadableStream<rbac_pb.SetSubjectAllocatedSpaceRsp>;

  getSharedResource(
    request: rbac_pb.GetSharedResourceRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: rbac_pb.GetSharedResourceRsp) => void
  ): grpcWeb.ClientReadableStream<rbac_pb.GetSharedResourceRsp>;

  removeSubjectFromShare(
    request: rbac_pb.RemoveSubjectFromShareRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: rbac_pb.RemoveSubjectFromShareRsp) => void
  ): grpcWeb.ClientReadableStream<rbac_pb.RemoveSubjectFromShareRsp>;

  deleteSubjectShare(
    request: rbac_pb.DeleteSubjectShareRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: rbac_pb.DeleteSubjectShareRsp) => void
  ): grpcWeb.ClientReadableStream<rbac_pb.DeleteSubjectShareRsp>;

}

export class RbacServicePromiseClient {
  constructor (hostname: string,
               credentials?: null | { [index: string]: string; },
               options?: null | { [index: string]: any; });

  setResourcePermissions(
    request: rbac_pb.SetResourcePermissionsRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<rbac_pb.SetResourcePermissionsRsp>;

  deleteResourcePermissions(
    request: rbac_pb.DeleteResourcePermissionsRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<rbac_pb.DeleteResourcePermissionsRsp>;

  deleteResourcePermission(
    request: rbac_pb.DeleteResourcePermissionRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<rbac_pb.DeleteResourcePermissionRsp>;

  getResourcePermission(
    request: rbac_pb.GetResourcePermissionRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<rbac_pb.GetResourcePermissionRsp>;

  setResourcePermission(
    request: rbac_pb.SetResourcePermissionRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<rbac_pb.SetResourcePermissionRsp>;

  getResourcePermissions(
    request: rbac_pb.GetResourcePermissionsRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<rbac_pb.GetResourcePermissionsRsp>;

  getResourcePermissionsByResourceType(
    request: rbac_pb.GetResourcePermissionsByResourceTypeRqst,
    metadata?: grpcWeb.Metadata
  ): grpcWeb.ClientReadableStream<rbac_pb.GetResourcePermissionsByResourceTypeRsp>;

  getResourcePermissionsBySubject(
    request: rbac_pb.GetResourcePermissionsBySubjectRqst,
    metadata?: grpcWeb.Metadata
  ): grpcWeb.ClientReadableStream<rbac_pb.GetResourcePermissionsBySubjectRsp>;

  addResourceOwner(
    request: rbac_pb.AddResourceOwnerRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<rbac_pb.AddResourceOwnerRsp>;

  removeResourceOwner(
    request: rbac_pb.RemoveResourceOwnerRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<rbac_pb.RemoveResourceOwnerRsp>;

  deleteAllAccess(
    request: rbac_pb.DeleteAllAccessRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<rbac_pb.DeleteAllAccessRsp>;

  validateAccess(
    request: rbac_pb.ValidateAccessRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<rbac_pb.ValidateAccessRsp>;

  setActionResourcesPermissions(
    request: rbac_pb.SetActionResourcesPermissionsRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<rbac_pb.SetActionResourcesPermissionsRsp>;

  getActionResourceInfos(
    request: rbac_pb.GetActionResourceInfosRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<rbac_pb.GetActionResourceInfosRsp>;

  validateAction(
    request: rbac_pb.ValidateActionRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<rbac_pb.ValidateActionRsp>;

  validateSubjectSpace(
    request: rbac_pb.ValidateSubjectSpaceRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<rbac_pb.ValidateSubjectSpaceRsp>;

  getSubjectAvailableSpace(
    request: rbac_pb.GetSubjectAvailableSpaceRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<rbac_pb.GetSubjectAvailableSpaceRsp>;

  getSubjectAllocatedSpace(
    request: rbac_pb.GetSubjectAllocatedSpaceRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<rbac_pb.GetSubjectAllocatedSpaceRsp>;

  setSubjectAllocatedSpace(
    request: rbac_pb.SetSubjectAllocatedSpaceRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<rbac_pb.SetSubjectAllocatedSpaceRsp>;

  getSharedResource(
    request: rbac_pb.GetSharedResourceRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<rbac_pb.GetSharedResourceRsp>;

  removeSubjectFromShare(
    request: rbac_pb.RemoveSubjectFromShareRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<rbac_pb.RemoveSubjectFromShareRsp>;

  deleteSubjectShare(
    request: rbac_pb.DeleteSubjectShareRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<rbac_pb.DeleteSubjectShareRsp>;

}

