import * as jspb from 'google-protobuf'

import * as resource_pb from '../resource/resource_pb'; // proto import: "resource.proto"


export class UploadBundleRequest extends jspb.Message {
  getUser(): string;
  setUser(value: string): UploadBundleRequest;

  getOrganization(): string;
  setOrganization(value: string): UploadBundleRequest;

  getData(): Uint8Array | string;
  getData_asU8(): Uint8Array;
  getData_asB64(): string;
  setData(value: Uint8Array | string): UploadBundleRequest;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): UploadBundleRequest.AsObject;
  static toObject(includeInstance: boolean, msg: UploadBundleRequest): UploadBundleRequest.AsObject;
  static serializeBinaryToWriter(message: UploadBundleRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): UploadBundleRequest;
  static deserializeBinaryFromReader(message: UploadBundleRequest, reader: jspb.BinaryReader): UploadBundleRequest;
}

export namespace UploadBundleRequest {
  export type AsObject = {
    user: string,
    organization: string,
    data: Uint8Array | string,
  }
}

export class UploadBundleResponse extends jspb.Message {
  getResult(): boolean;
  setResult(value: boolean): UploadBundleResponse;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): UploadBundleResponse.AsObject;
  static toObject(includeInstance: boolean, msg: UploadBundleResponse): UploadBundleResponse.AsObject;
  static serializeBinaryToWriter(message: UploadBundleResponse, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): UploadBundleResponse;
  static deserializeBinaryFromReader(message: UploadBundleResponse, reader: jspb.BinaryReader): UploadBundleResponse;
}

export namespace UploadBundleResponse {
  export type AsObject = {
    result: boolean,
  }
}

export class DownloadBundleRequest extends jspb.Message {
  getDescriptor(): resource_pb.PackageDescriptor | undefined;
  setDescriptor(value?: resource_pb.PackageDescriptor): DownloadBundleRequest;
  hasDescriptor(): boolean;
  clearDescriptor(): DownloadBundleRequest;

  getPlaform(): string;
  setPlaform(value: string): DownloadBundleRequest;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): DownloadBundleRequest.AsObject;
  static toObject(includeInstance: boolean, msg: DownloadBundleRequest): DownloadBundleRequest.AsObject;
  static serializeBinaryToWriter(message: DownloadBundleRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): DownloadBundleRequest;
  static deserializeBinaryFromReader(message: DownloadBundleRequest, reader: jspb.BinaryReader): DownloadBundleRequest;
}

export namespace DownloadBundleRequest {
  export type AsObject = {
    descriptor?: resource_pb.PackageDescriptor.AsObject,
    plaform: string,
  }
}

export class DownloadBundleResponse extends jspb.Message {
  getData(): Uint8Array | string;
  getData_asU8(): Uint8Array;
  getData_asB64(): string;
  setData(value: Uint8Array | string): DownloadBundleResponse;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): DownloadBundleResponse.AsObject;
  static toObject(includeInstance: boolean, msg: DownloadBundleResponse): DownloadBundleResponse.AsObject;
  static serializeBinaryToWriter(message: DownloadBundleResponse, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): DownloadBundleResponse;
  static deserializeBinaryFromReader(message: DownloadBundleResponse, reader: jspb.BinaryReader): DownloadBundleResponse;
}

export namespace DownloadBundleResponse {
  export type AsObject = {
    data: Uint8Array | string,
  }
}

