import * as grpcWeb from 'grpc-web';

import * as resource_pb from './resource_pb'; // proto import: "resource.proto"


export class ResourceServiceClient {
  constructor (hostname: string,
               credentials?: null | { [index: string]: string; },
               options?: null | { [index: string]: any; });

  createReference(
    request: resource_pb.CreateReferenceRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: resource_pb.CreateReferenceRsp) => void
  ): grpcWeb.ClientReadableStream<resource_pb.CreateReferenceRsp>;

  deleteReference(
    request: resource_pb.DeleteReferenceRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: resource_pb.DeleteReferenceRsp) => void
  ): grpcWeb.ClientReadableStream<resource_pb.DeleteReferenceRsp>;

  createOrganization(
    request: resource_pb.CreateOrganizationRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: resource_pb.CreateOrganizationRsp) => void
  ): grpcWeb.ClientReadableStream<resource_pb.CreateOrganizationRsp>;

  updateOrganization(
    request: resource_pb.UpdateOrganizationRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: resource_pb.UpdateOrganizationRsp) => void
  ): grpcWeb.ClientReadableStream<resource_pb.UpdateOrganizationRsp>;

  getOrganizations(
    request: resource_pb.GetOrganizationsRqst,
    metadata?: grpcWeb.Metadata
  ): grpcWeb.ClientReadableStream<resource_pb.GetOrganizationsRsp>;

  deleteOrganization(
    request: resource_pb.DeleteOrganizationRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: resource_pb.DeleteOrganizationRsp) => void
  ): grpcWeb.ClientReadableStream<resource_pb.DeleteOrganizationRsp>;

  addOrganizationAccount(
    request: resource_pb.AddOrganizationAccountRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: resource_pb.AddOrganizationAccountRsp) => void
  ): grpcWeb.ClientReadableStream<resource_pb.AddOrganizationAccountRsp>;

  addOrganizationGroup(
    request: resource_pb.AddOrganizationGroupRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: resource_pb.AddOrganizationGroupRsp) => void
  ): grpcWeb.ClientReadableStream<resource_pb.AddOrganizationGroupRsp>;

  addOrganizationRole(
    request: resource_pb.AddOrganizationRoleRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: resource_pb.AddOrganizationRoleRsp) => void
  ): grpcWeb.ClientReadableStream<resource_pb.AddOrganizationRoleRsp>;

  addOrganizationApplication(
    request: resource_pb.AddOrganizationApplicationRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: resource_pb.AddOrganizationApplicationRsp) => void
  ): grpcWeb.ClientReadableStream<resource_pb.AddOrganizationApplicationRsp>;

  removeOrganizationAccount(
    request: resource_pb.RemoveOrganizationAccountRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: resource_pb.RemoveOrganizationAccountRsp) => void
  ): grpcWeb.ClientReadableStream<resource_pb.RemoveOrganizationAccountRsp>;

  removeOrganizationGroup(
    request: resource_pb.RemoveOrganizationGroupRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: resource_pb.RemoveOrganizationGroupRsp) => void
  ): grpcWeb.ClientReadableStream<resource_pb.RemoveOrganizationGroupRsp>;

  removeOrganizationRole(
    request: resource_pb.RemoveOrganizationRoleRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: resource_pb.RemoveOrganizationRoleRsp) => void
  ): grpcWeb.ClientReadableStream<resource_pb.RemoveOrganizationRoleRsp>;

  removeOrganizationApplication(
    request: resource_pb.RemoveOrganizationApplicationRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: resource_pb.RemoveOrganizationApplicationRsp) => void
  ): grpcWeb.ClientReadableStream<resource_pb.RemoveOrganizationApplicationRsp>;

  createGroup(
    request: resource_pb.CreateGroupRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: resource_pb.CreateGroupRsp) => void
  ): grpcWeb.ClientReadableStream<resource_pb.CreateGroupRsp>;

  updateGroup(
    request: resource_pb.UpdateGroupRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: resource_pb.UpdateGroupRsp) => void
  ): grpcWeb.ClientReadableStream<resource_pb.UpdateGroupRsp>;

  getGroups(
    request: resource_pb.GetGroupsRqst,
    metadata?: grpcWeb.Metadata
  ): grpcWeb.ClientReadableStream<resource_pb.GetGroupsRsp>;

  deleteGroup(
    request: resource_pb.DeleteGroupRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: resource_pb.DeleteGroupRsp) => void
  ): grpcWeb.ClientReadableStream<resource_pb.DeleteGroupRsp>;

  addGroupMemberAccount(
    request: resource_pb.AddGroupMemberAccountRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: resource_pb.AddGroupMemberAccountRsp) => void
  ): grpcWeb.ClientReadableStream<resource_pb.AddGroupMemberAccountRsp>;

  removeGroupMemberAccount(
    request: resource_pb.RemoveGroupMemberAccountRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: resource_pb.RemoveGroupMemberAccountRsp) => void
  ): grpcWeb.ClientReadableStream<resource_pb.RemoveGroupMemberAccountRsp>;

  registerAccount(
    request: resource_pb.RegisterAccountRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: resource_pb.RegisterAccountRsp) => void
  ): grpcWeb.ClientReadableStream<resource_pb.RegisterAccountRsp>;

  deleteAccount(
    request: resource_pb.DeleteAccountRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: resource_pb.DeleteAccountRsp) => void
  ): grpcWeb.ClientReadableStream<resource_pb.DeleteAccountRsp>;

  getAccount(
    request: resource_pb.GetAccountRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: resource_pb.GetAccountRsp) => void
  ): grpcWeb.ClientReadableStream<resource_pb.GetAccountRsp>;

  setAccount(
    request: resource_pb.SetAccountRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: resource_pb.SetAccountRsp) => void
  ): grpcWeb.ClientReadableStream<resource_pb.SetAccountRsp>;

  setAccountPassword(
    request: resource_pb.SetAccountPasswordRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: resource_pb.SetAccountPasswordRsp) => void
  ): grpcWeb.ClientReadableStream<resource_pb.SetAccountPasswordRsp>;

  getAccounts(
    request: resource_pb.GetAccountsRqst,
    metadata?: grpcWeb.Metadata
  ): grpcWeb.ClientReadableStream<resource_pb.GetAccountsRsp>;

  addAccountRole(
    request: resource_pb.AddAccountRoleRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: resource_pb.AddAccountRoleRsp) => void
  ): grpcWeb.ClientReadableStream<resource_pb.AddAccountRoleRsp>;

  removeAccountRole(
    request: resource_pb.RemoveAccountRoleRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: resource_pb.RemoveAccountRoleRsp) => void
  ): grpcWeb.ClientReadableStream<resource_pb.RemoveAccountRoleRsp>;

  setAccountContact(
    request: resource_pb.SetAccountContactRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: resource_pb.SetAccountContactRsp) => void
  ): grpcWeb.ClientReadableStream<resource_pb.SetAccountContactRsp>;

  setEmail(
    request: resource_pb.SetEmailRequest,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: resource_pb.SetEmailResponse) => void
  ): grpcWeb.ClientReadableStream<resource_pb.SetEmailResponse>;

  isOrgnanizationMember(
    request: resource_pb.IsOrgnanizationMemberRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: resource_pb.IsOrgnanizationMemberRsp) => void
  ): grpcWeb.ClientReadableStream<resource_pb.IsOrgnanizationMemberRsp>;

  createRole(
    request: resource_pb.CreateRoleRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: resource_pb.CreateRoleRsp) => void
  ): grpcWeb.ClientReadableStream<resource_pb.CreateRoleRsp>;

  updateRole(
    request: resource_pb.UpdateRoleRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: resource_pb.UpdateRoleRsp) => void
  ): grpcWeb.ClientReadableStream<resource_pb.UpdateRoleRsp>;

  getRoles(
    request: resource_pb.GetRolesRqst,
    metadata?: grpcWeb.Metadata
  ): grpcWeb.ClientReadableStream<resource_pb.GetRolesRsp>;

  deleteRole(
    request: resource_pb.DeleteRoleRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: resource_pb.DeleteRoleRsp) => void
  ): grpcWeb.ClientReadableStream<resource_pb.DeleteRoleRsp>;

  addRoleActions(
    request: resource_pb.AddRoleActionsRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: resource_pb.AddRoleActionsRsp) => void
  ): grpcWeb.ClientReadableStream<resource_pb.AddRoleActionsRsp>;

  removeRoleAction(
    request: resource_pb.RemoveRoleActionRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: resource_pb.RemoveRoleActionRsp) => void
  ): grpcWeb.ClientReadableStream<resource_pb.RemoveRoleActionRsp>;

  removeRolesAction(
    request: resource_pb.RemoveRolesActionRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: resource_pb.RemoveRolesActionRsp) => void
  ): grpcWeb.ClientReadableStream<resource_pb.RemoveRolesActionRsp>;

  createApplication(
    request: resource_pb.CreateApplicationRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: resource_pb.CreateApplicationRsp) => void
  ): grpcWeb.ClientReadableStream<resource_pb.CreateApplicationRsp>;

  updateApplication(
    request: resource_pb.UpdateApplicationRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: resource_pb.UpdateApplicationRsp) => void
  ): grpcWeb.ClientReadableStream<resource_pb.UpdateApplicationRsp>;

  getApplications(
    request: resource_pb.GetApplicationsRqst,
    metadata?: grpcWeb.Metadata
  ): grpcWeb.ClientReadableStream<resource_pb.GetApplicationsRsp>;

  deleteApplication(
    request: resource_pb.DeleteApplicationRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: resource_pb.DeleteApplicationRsp) => void
  ): grpcWeb.ClientReadableStream<resource_pb.DeleteApplicationRsp>;

  addApplicationActions(
    request: resource_pb.AddApplicationActionsRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: resource_pb.AddApplicationActionsRsp) => void
  ): grpcWeb.ClientReadableStream<resource_pb.AddApplicationActionsRsp>;

  removeApplicationAction(
    request: resource_pb.RemoveApplicationActionRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: resource_pb.RemoveApplicationActionRsp) => void
  ): grpcWeb.ClientReadableStream<resource_pb.RemoveApplicationActionRsp>;

  removeApplicationsAction(
    request: resource_pb.RemoveApplicationsActionRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: resource_pb.RemoveApplicationsActionRsp) => void
  ): grpcWeb.ClientReadableStream<resource_pb.RemoveApplicationsActionRsp>;

  getApplicationVersion(
    request: resource_pb.GetApplicationVersionRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: resource_pb.GetApplicationVersionRsp) => void
  ): grpcWeb.ClientReadableStream<resource_pb.GetApplicationVersionRsp>;

  getApplicationAlias(
    request: resource_pb.GetApplicationAliasRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: resource_pb.GetApplicationAliasRsp) => void
  ): grpcWeb.ClientReadableStream<resource_pb.GetApplicationAliasRsp>;

  getApplicationIcon(
    request: resource_pb.GetApplicationIconRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: resource_pb.GetApplicationIconRsp) => void
  ): grpcWeb.ClientReadableStream<resource_pb.GetApplicationIconRsp>;

  registerPeer(
    request: resource_pb.RegisterPeerRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: resource_pb.RegisterPeerRsp) => void
  ): grpcWeb.ClientReadableStream<resource_pb.RegisterPeerRsp>;

  getPeers(
    request: resource_pb.GetPeersRqst,
    metadata?: grpcWeb.Metadata
  ): grpcWeb.ClientReadableStream<resource_pb.GetPeersRsp>;

  getPeerApprovalState(
    request: resource_pb.GetPeerApprovalStateRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: resource_pb.GetPeerApprovalStateRsp) => void
  ): grpcWeb.ClientReadableStream<resource_pb.GetPeerApprovalStateRsp>;

  deletePeer(
    request: resource_pb.DeletePeerRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: resource_pb.DeletePeerRsp) => void
  ): grpcWeb.ClientReadableStream<resource_pb.DeletePeerRsp>;

  updatePeer(
    request: resource_pb.UpdatePeerRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: resource_pb.UpdatePeerRsp) => void
  ): grpcWeb.ClientReadableStream<resource_pb.UpdatePeerRsp>;

  addPeerActions(
    request: resource_pb.AddPeerActionsRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: resource_pb.AddPeerActionsRsp) => void
  ): grpcWeb.ClientReadableStream<resource_pb.AddPeerActionsRsp>;

  removePeerAction(
    request: resource_pb.RemovePeerActionRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: resource_pb.RemovePeerActionRsp) => void
  ): grpcWeb.ClientReadableStream<resource_pb.RemovePeerActionRsp>;

  removePeersAction(
    request: resource_pb.RemovePeersActionRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: resource_pb.RemovePeersActionRsp) => void
  ): grpcWeb.ClientReadableStream<resource_pb.RemovePeersActionRsp>;

  acceptPeer(
    request: resource_pb.AcceptPeerRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: resource_pb.AcceptPeerRsp) => void
  ): grpcWeb.ClientReadableStream<resource_pb.AcceptPeerRsp>;

  rejectPeer(
    request: resource_pb.RejectPeerRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: resource_pb.RejectPeerRsp) => void
  ): grpcWeb.ClientReadableStream<resource_pb.RejectPeerRsp>;

  getPeerPublicKey(
    request: resource_pb.GetPeerPublicKeyRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: resource_pb.GetPeerPublicKeyRsp) => void
  ): grpcWeb.ClientReadableStream<resource_pb.GetPeerPublicKeyRsp>;

  createNotification(
    request: resource_pb.CreateNotificationRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: resource_pb.CreateNotificationRsp) => void
  ): grpcWeb.ClientReadableStream<resource_pb.CreateNotificationRsp>;

  getNotifications(
    request: resource_pb.GetNotificationsRqst,
    metadata?: grpcWeb.Metadata
  ): grpcWeb.ClientReadableStream<resource_pb.GetNotificationsRsp>;

  deleteNotification(
    request: resource_pb.DeleteNotificationRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: resource_pb.DeleteNotificationRsp) => void
  ): grpcWeb.ClientReadableStream<resource_pb.DeleteNotificationRsp>;

  clearAllNotifications(
    request: resource_pb.ClearAllNotificationsRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: resource_pb.ClearAllNotificationsRsp) => void
  ): grpcWeb.ClientReadableStream<resource_pb.ClearAllNotificationsRsp>;

  clearNotificationsByType(
    request: resource_pb.ClearNotificationsByTypeRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: resource_pb.ClearNotificationsByTypeRsp) => void
  ): grpcWeb.ClientReadableStream<resource_pb.ClearNotificationsByTypeRsp>;

  findPackages(
    request: resource_pb.FindPackagesDescriptorRequest,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: resource_pb.FindPackagesDescriptorResponse) => void
  ): grpcWeb.ClientReadableStream<resource_pb.FindPackagesDescriptorResponse>;

  getPackageDescriptor(
    request: resource_pb.GetPackageDescriptorRequest,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: resource_pb.GetPackageDescriptorResponse) => void
  ): grpcWeb.ClientReadableStream<resource_pb.GetPackageDescriptorResponse>;

  getPackagesDescriptor(
    request: resource_pb.GetPackagesDescriptorRequest,
    metadata?: grpcWeb.Metadata
  ): grpcWeb.ClientReadableStream<resource_pb.GetPackagesDescriptorResponse>;

  setPackageDescriptor(
    request: resource_pb.SetPackageDescriptorRequest,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: resource_pb.SetPackageDescriptorResponse) => void
  ): grpcWeb.ClientReadableStream<resource_pb.SetPackageDescriptorResponse>;

  setPackageBundle(
    request: resource_pb.SetPackageBundleRequest,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: resource_pb.SetPackageBundleResponse) => void
  ): grpcWeb.ClientReadableStream<resource_pb.SetPackageBundleResponse>;

  getPackageBundleChecksum(
    request: resource_pb.GetPackageBundleChecksumRequest,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: resource_pb.GetPackageBundleChecksumResponse) => void
  ): grpcWeb.ClientReadableStream<resource_pb.GetPackageBundleChecksumResponse>;

  updateSession(
    request: resource_pb.UpdateSessionRequest,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: resource_pb.UpdateSessionResponse) => void
  ): grpcWeb.ClientReadableStream<resource_pb.UpdateSessionResponse>;

  getSessions(
    request: resource_pb.GetSessionsRequest,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: resource_pb.GetSessionsResponse) => void
  ): grpcWeb.ClientReadableStream<resource_pb.GetSessionsResponse>;

  removeSession(
    request: resource_pb.RemoveSessionRequest,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: resource_pb.RemoveSessionResponse) => void
  ): grpcWeb.ClientReadableStream<resource_pb.RemoveSessionResponse>;

  getSession(
    request: resource_pb.GetSessionRequest,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: resource_pb.GetSessionResponse) => void
  ): grpcWeb.ClientReadableStream<resource_pb.GetSessionResponse>;

  getCallHistory(
    request: resource_pb.GetCallHistoryRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: resource_pb.GetCallHistoryRsp) => void
  ): grpcWeb.ClientReadableStream<resource_pb.GetCallHistoryRsp>;

  setCall(
    request: resource_pb.SetCallRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: resource_pb.SetCallRsp) => void
  ): grpcWeb.ClientReadableStream<resource_pb.SetCallRsp>;

  deleteCall(
    request: resource_pb.DeleteCallRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: resource_pb.DeleteCallRsp) => void
  ): grpcWeb.ClientReadableStream<resource_pb.DeleteCallRsp>;

  clearCalls(
    request: resource_pb.ClearCallsRqst,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: resource_pb.ClearCallsRsp) => void
  ): grpcWeb.ClientReadableStream<resource_pb.ClearCallsRsp>;

}

export class ResourceServicePromiseClient {
  constructor (hostname: string,
               credentials?: null | { [index: string]: string; },
               options?: null | { [index: string]: any; });

  createReference(
    request: resource_pb.CreateReferenceRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<resource_pb.CreateReferenceRsp>;

  deleteReference(
    request: resource_pb.DeleteReferenceRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<resource_pb.DeleteReferenceRsp>;

  createOrganization(
    request: resource_pb.CreateOrganizationRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<resource_pb.CreateOrganizationRsp>;

  updateOrganization(
    request: resource_pb.UpdateOrganizationRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<resource_pb.UpdateOrganizationRsp>;

  getOrganizations(
    request: resource_pb.GetOrganizationsRqst,
    metadata?: grpcWeb.Metadata
  ): grpcWeb.ClientReadableStream<resource_pb.GetOrganizationsRsp>;

  deleteOrganization(
    request: resource_pb.DeleteOrganizationRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<resource_pb.DeleteOrganizationRsp>;

  addOrganizationAccount(
    request: resource_pb.AddOrganizationAccountRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<resource_pb.AddOrganizationAccountRsp>;

  addOrganizationGroup(
    request: resource_pb.AddOrganizationGroupRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<resource_pb.AddOrganizationGroupRsp>;

  addOrganizationRole(
    request: resource_pb.AddOrganizationRoleRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<resource_pb.AddOrganizationRoleRsp>;

  addOrganizationApplication(
    request: resource_pb.AddOrganizationApplicationRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<resource_pb.AddOrganizationApplicationRsp>;

  removeOrganizationAccount(
    request: resource_pb.RemoveOrganizationAccountRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<resource_pb.RemoveOrganizationAccountRsp>;

  removeOrganizationGroup(
    request: resource_pb.RemoveOrganizationGroupRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<resource_pb.RemoveOrganizationGroupRsp>;

  removeOrganizationRole(
    request: resource_pb.RemoveOrganizationRoleRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<resource_pb.RemoveOrganizationRoleRsp>;

  removeOrganizationApplication(
    request: resource_pb.RemoveOrganizationApplicationRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<resource_pb.RemoveOrganizationApplicationRsp>;

  createGroup(
    request: resource_pb.CreateGroupRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<resource_pb.CreateGroupRsp>;

  updateGroup(
    request: resource_pb.UpdateGroupRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<resource_pb.UpdateGroupRsp>;

  getGroups(
    request: resource_pb.GetGroupsRqst,
    metadata?: grpcWeb.Metadata
  ): grpcWeb.ClientReadableStream<resource_pb.GetGroupsRsp>;

  deleteGroup(
    request: resource_pb.DeleteGroupRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<resource_pb.DeleteGroupRsp>;

  addGroupMemberAccount(
    request: resource_pb.AddGroupMemberAccountRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<resource_pb.AddGroupMemberAccountRsp>;

  removeGroupMemberAccount(
    request: resource_pb.RemoveGroupMemberAccountRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<resource_pb.RemoveGroupMemberAccountRsp>;

  registerAccount(
    request: resource_pb.RegisterAccountRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<resource_pb.RegisterAccountRsp>;

  deleteAccount(
    request: resource_pb.DeleteAccountRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<resource_pb.DeleteAccountRsp>;

  getAccount(
    request: resource_pb.GetAccountRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<resource_pb.GetAccountRsp>;

  setAccount(
    request: resource_pb.SetAccountRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<resource_pb.SetAccountRsp>;

  setAccountPassword(
    request: resource_pb.SetAccountPasswordRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<resource_pb.SetAccountPasswordRsp>;

  getAccounts(
    request: resource_pb.GetAccountsRqst,
    metadata?: grpcWeb.Metadata
  ): grpcWeb.ClientReadableStream<resource_pb.GetAccountsRsp>;

  addAccountRole(
    request: resource_pb.AddAccountRoleRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<resource_pb.AddAccountRoleRsp>;

  removeAccountRole(
    request: resource_pb.RemoveAccountRoleRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<resource_pb.RemoveAccountRoleRsp>;

  setAccountContact(
    request: resource_pb.SetAccountContactRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<resource_pb.SetAccountContactRsp>;

  setEmail(
    request: resource_pb.SetEmailRequest,
    metadata?: grpcWeb.Metadata
  ): Promise<resource_pb.SetEmailResponse>;

  isOrgnanizationMember(
    request: resource_pb.IsOrgnanizationMemberRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<resource_pb.IsOrgnanizationMemberRsp>;

  createRole(
    request: resource_pb.CreateRoleRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<resource_pb.CreateRoleRsp>;

  updateRole(
    request: resource_pb.UpdateRoleRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<resource_pb.UpdateRoleRsp>;

  getRoles(
    request: resource_pb.GetRolesRqst,
    metadata?: grpcWeb.Metadata
  ): grpcWeb.ClientReadableStream<resource_pb.GetRolesRsp>;

  deleteRole(
    request: resource_pb.DeleteRoleRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<resource_pb.DeleteRoleRsp>;

  addRoleActions(
    request: resource_pb.AddRoleActionsRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<resource_pb.AddRoleActionsRsp>;

  removeRoleAction(
    request: resource_pb.RemoveRoleActionRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<resource_pb.RemoveRoleActionRsp>;

  removeRolesAction(
    request: resource_pb.RemoveRolesActionRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<resource_pb.RemoveRolesActionRsp>;

  createApplication(
    request: resource_pb.CreateApplicationRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<resource_pb.CreateApplicationRsp>;

  updateApplication(
    request: resource_pb.UpdateApplicationRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<resource_pb.UpdateApplicationRsp>;

  getApplications(
    request: resource_pb.GetApplicationsRqst,
    metadata?: grpcWeb.Metadata
  ): grpcWeb.ClientReadableStream<resource_pb.GetApplicationsRsp>;

  deleteApplication(
    request: resource_pb.DeleteApplicationRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<resource_pb.DeleteApplicationRsp>;

  addApplicationActions(
    request: resource_pb.AddApplicationActionsRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<resource_pb.AddApplicationActionsRsp>;

  removeApplicationAction(
    request: resource_pb.RemoveApplicationActionRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<resource_pb.RemoveApplicationActionRsp>;

  removeApplicationsAction(
    request: resource_pb.RemoveApplicationsActionRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<resource_pb.RemoveApplicationsActionRsp>;

  getApplicationVersion(
    request: resource_pb.GetApplicationVersionRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<resource_pb.GetApplicationVersionRsp>;

  getApplicationAlias(
    request: resource_pb.GetApplicationAliasRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<resource_pb.GetApplicationAliasRsp>;

  getApplicationIcon(
    request: resource_pb.GetApplicationIconRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<resource_pb.GetApplicationIconRsp>;

  registerPeer(
    request: resource_pb.RegisterPeerRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<resource_pb.RegisterPeerRsp>;

  getPeers(
    request: resource_pb.GetPeersRqst,
    metadata?: grpcWeb.Metadata
  ): grpcWeb.ClientReadableStream<resource_pb.GetPeersRsp>;

  getPeerApprovalState(
    request: resource_pb.GetPeerApprovalStateRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<resource_pb.GetPeerApprovalStateRsp>;

  deletePeer(
    request: resource_pb.DeletePeerRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<resource_pb.DeletePeerRsp>;

  updatePeer(
    request: resource_pb.UpdatePeerRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<resource_pb.UpdatePeerRsp>;

  addPeerActions(
    request: resource_pb.AddPeerActionsRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<resource_pb.AddPeerActionsRsp>;

  removePeerAction(
    request: resource_pb.RemovePeerActionRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<resource_pb.RemovePeerActionRsp>;

  removePeersAction(
    request: resource_pb.RemovePeersActionRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<resource_pb.RemovePeersActionRsp>;

  acceptPeer(
    request: resource_pb.AcceptPeerRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<resource_pb.AcceptPeerRsp>;

  rejectPeer(
    request: resource_pb.RejectPeerRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<resource_pb.RejectPeerRsp>;

  getPeerPublicKey(
    request: resource_pb.GetPeerPublicKeyRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<resource_pb.GetPeerPublicKeyRsp>;

  createNotification(
    request: resource_pb.CreateNotificationRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<resource_pb.CreateNotificationRsp>;

  getNotifications(
    request: resource_pb.GetNotificationsRqst,
    metadata?: grpcWeb.Metadata
  ): grpcWeb.ClientReadableStream<resource_pb.GetNotificationsRsp>;

  deleteNotification(
    request: resource_pb.DeleteNotificationRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<resource_pb.DeleteNotificationRsp>;

  clearAllNotifications(
    request: resource_pb.ClearAllNotificationsRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<resource_pb.ClearAllNotificationsRsp>;

  clearNotificationsByType(
    request: resource_pb.ClearNotificationsByTypeRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<resource_pb.ClearNotificationsByTypeRsp>;

  findPackages(
    request: resource_pb.FindPackagesDescriptorRequest,
    metadata?: grpcWeb.Metadata
  ): Promise<resource_pb.FindPackagesDescriptorResponse>;

  getPackageDescriptor(
    request: resource_pb.GetPackageDescriptorRequest,
    metadata?: grpcWeb.Metadata
  ): Promise<resource_pb.GetPackageDescriptorResponse>;

  getPackagesDescriptor(
    request: resource_pb.GetPackagesDescriptorRequest,
    metadata?: grpcWeb.Metadata
  ): grpcWeb.ClientReadableStream<resource_pb.GetPackagesDescriptorResponse>;

  setPackageDescriptor(
    request: resource_pb.SetPackageDescriptorRequest,
    metadata?: grpcWeb.Metadata
  ): Promise<resource_pb.SetPackageDescriptorResponse>;

  setPackageBundle(
    request: resource_pb.SetPackageBundleRequest,
    metadata?: grpcWeb.Metadata
  ): Promise<resource_pb.SetPackageBundleResponse>;

  getPackageBundleChecksum(
    request: resource_pb.GetPackageBundleChecksumRequest,
    metadata?: grpcWeb.Metadata
  ): Promise<resource_pb.GetPackageBundleChecksumResponse>;

  updateSession(
    request: resource_pb.UpdateSessionRequest,
    metadata?: grpcWeb.Metadata
  ): Promise<resource_pb.UpdateSessionResponse>;

  getSessions(
    request: resource_pb.GetSessionsRequest,
    metadata?: grpcWeb.Metadata
  ): Promise<resource_pb.GetSessionsResponse>;

  removeSession(
    request: resource_pb.RemoveSessionRequest,
    metadata?: grpcWeb.Metadata
  ): Promise<resource_pb.RemoveSessionResponse>;

  getSession(
    request: resource_pb.GetSessionRequest,
    metadata?: grpcWeb.Metadata
  ): Promise<resource_pb.GetSessionResponse>;

  getCallHistory(
    request: resource_pb.GetCallHistoryRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<resource_pb.GetCallHistoryRsp>;

  setCall(
    request: resource_pb.SetCallRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<resource_pb.SetCallRsp>;

  deleteCall(
    request: resource_pb.DeleteCallRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<resource_pb.DeleteCallRsp>;

  clearCalls(
    request: resource_pb.ClearCallsRqst,
    metadata?: grpcWeb.Metadata
  ): Promise<resource_pb.ClearCallsRsp>;

}

