import * as grpcWeb from 'grpc-web';

import * as services_manager_pb from './services_manager_pb'; // proto import: "services_manager.proto"


export class ServicesManagerServiceClient {
  constructor (hostname: string,
               credentials?: null | { [index: string]: string; },
               options?: null | { [index: string]: any; });

  installService(
    request: services_manager_pb.InstallServiceRequest,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: services_manager_pb.InstallServiceResponse) => void
  ): grpcWeb.ClientReadableStream<services_manager_pb.InstallServiceResponse>;

  uninstallService(
    request: services_manager_pb.UninstallServiceRequest,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: services_manager_pb.UninstallServiceResponse) => void
  ): grpcWeb.ClientReadableStream<services_manager_pb.UninstallServiceResponse>;

  stopServiceInstance(
    request: services_manager_pb.StopServiceInstanceRequest,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: services_manager_pb.StopServiceInstanceResponse) => void
  ): grpcWeb.ClientReadableStream<services_manager_pb.StopServiceInstanceResponse>;

  startServiceInstance(
    request: services_manager_pb.StartServiceInstanceRequest,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: services_manager_pb.StartServiceInstanceResponse) => void
  ): grpcWeb.ClientReadableStream<services_manager_pb.StartServiceInstanceResponse>;

  restartAllServices(
    request: services_manager_pb.RestartAllServicesRequest,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: services_manager_pb.RestartAllServicesResponse) => void
  ): grpcWeb.ClientReadableStream<services_manager_pb.RestartAllServicesResponse>;

  getServicesConfiguration(
    request: services_manager_pb.GetServicesConfigurationRequest,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: services_manager_pb.GetServicesConfigurationResponse) => void
  ): grpcWeb.ClientReadableStream<services_manager_pb.GetServicesConfigurationResponse>;

  getAllActions(
    request: services_manager_pb.GetAllActionsRequest,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: services_manager_pb.GetAllActionsResponse) => void
  ): grpcWeb.ClientReadableStream<services_manager_pb.GetAllActionsResponse>;

  saveServiceConfig(
    request: services_manager_pb.SaveServiceConfigRequest,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: services_manager_pb.SaveServiceConfigResponse) => void
  ): grpcWeb.ClientReadableStream<services_manager_pb.SaveServiceConfigResponse>;

}

export class ServicesManagerServicePromiseClient {
  constructor (hostname: string,
               credentials?: null | { [index: string]: string; },
               options?: null | { [index: string]: any; });

  installService(
    request: services_manager_pb.InstallServiceRequest,
    metadata?: grpcWeb.Metadata
  ): Promise<services_manager_pb.InstallServiceResponse>;

  uninstallService(
    request: services_manager_pb.UninstallServiceRequest,
    metadata?: grpcWeb.Metadata
  ): Promise<services_manager_pb.UninstallServiceResponse>;

  stopServiceInstance(
    request: services_manager_pb.StopServiceInstanceRequest,
    metadata?: grpcWeb.Metadata
  ): Promise<services_manager_pb.StopServiceInstanceResponse>;

  startServiceInstance(
    request: services_manager_pb.StartServiceInstanceRequest,
    metadata?: grpcWeb.Metadata
  ): Promise<services_manager_pb.StartServiceInstanceResponse>;

  restartAllServices(
    request: services_manager_pb.RestartAllServicesRequest,
    metadata?: grpcWeb.Metadata
  ): Promise<services_manager_pb.RestartAllServicesResponse>;

  getServicesConfiguration(
    request: services_manager_pb.GetServicesConfigurationRequest,
    metadata?: grpcWeb.Metadata
  ): Promise<services_manager_pb.GetServicesConfigurationResponse>;

  getAllActions(
    request: services_manager_pb.GetAllActionsRequest,
    metadata?: grpcWeb.Metadata
  ): Promise<services_manager_pb.GetAllActionsResponse>;

  saveServiceConfig(
    request: services_manager_pb.SaveServiceConfigRequest,
    metadata?: grpcWeb.Metadata
  ): Promise<services_manager_pb.SaveServiceConfigResponse>;

}

