import * as grpcWeb from 'grpc-web';

import * as title_pb from './title_pb'; // proto import: "title.proto"


export class TitleServiceClient {
  constructor (hostname: string,
               credentials?: null | { [index: string]: string; },
               options?: null | { [index: string]: any; });

  createPublisher(
    request: title_pb.CreatePublisherRequest,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: title_pb.CreatePublisherResponse) => void
  ): grpcWeb.ClientReadableStream<title_pb.CreatePublisherResponse>;

  deletePublisher(
    request: title_pb.DeletePublisherRequest,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: title_pb.DeletePublisherResponse) => void
  ): grpcWeb.ClientReadableStream<title_pb.DeletePublisherResponse>;

  getPublisherById(
    request: title_pb.GetPublisherByIdRequest,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: title_pb.GetPublisherByIdResponse) => void
  ): grpcWeb.ClientReadableStream<title_pb.GetPublisherByIdResponse>;

  createPerson(
    request: title_pb.CreatePersonRequest,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: title_pb.CreatePersonResponse) => void
  ): grpcWeb.ClientReadableStream<title_pb.CreatePersonResponse>;

  deletePerson(
    request: title_pb.DeletePersonRequest,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: title_pb.DeletePersonResponse) => void
  ): grpcWeb.ClientReadableStream<title_pb.DeletePersonResponse>;

  getPersonById(
    request: title_pb.GetPersonByIdRequest,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: title_pb.GetPersonByIdResponse) => void
  ): grpcWeb.ClientReadableStream<title_pb.GetPersonByIdResponse>;

  createTitle(
    request: title_pb.CreateTitleRequest,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: title_pb.CreateTitleResponse) => void
  ): grpcWeb.ClientReadableStream<title_pb.CreateTitleResponse>;

  getTitleById(
    request: title_pb.GetTitleByIdRequest,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: title_pb.GetTitleByIdResponse) => void
  ): grpcWeb.ClientReadableStream<title_pb.GetTitleByIdResponse>;

  deleteTitle(
    request: title_pb.DeleteTitleRequest,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: title_pb.DeleteTitleResponse) => void
  ): grpcWeb.ClientReadableStream<title_pb.DeleteTitleResponse>;

  updateTitleMetadata(
    request: title_pb.UpdateTitleMetadataRequest,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: title_pb.UpdateTitleMetadataResponse) => void
  ): grpcWeb.ClientReadableStream<title_pb.UpdateTitleMetadataResponse>;

  createAudio(
    request: title_pb.CreateAudioRequest,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: title_pb.CreateAudioResponse) => void
  ): grpcWeb.ClientReadableStream<title_pb.CreateAudioResponse>;

  getAudioById(
    request: title_pb.GetAudioByIdRequest,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: title_pb.GetAudioByIdResponse) => void
  ): grpcWeb.ClientReadableStream<title_pb.GetAudioByIdResponse>;

  getAlbum(
    request: title_pb.GetAlbumRequest,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: title_pb.GetAlbumResponse) => void
  ): grpcWeb.ClientReadableStream<title_pb.GetAlbumResponse>;

  deleteAudio(
    request: title_pb.DeleteAudioRequest,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: title_pb.DeleteAudioResponse) => void
  ): grpcWeb.ClientReadableStream<title_pb.DeleteAudioResponse>;

  deleteAlbum(
    request: title_pb.DeleteAlbumRequest,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: title_pb.DeleteAlbumResponse) => void
  ): grpcWeb.ClientReadableStream<title_pb.DeleteAlbumResponse>;

  createVideo(
    request: title_pb.CreateVideoRequest,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: title_pb.CreateVideoResponse) => void
  ): grpcWeb.ClientReadableStream<title_pb.CreateVideoResponse>;

  getVideoById(
    request: title_pb.GetVideoByIdRequest,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: title_pb.GetVideoByIdResponse) => void
  ): grpcWeb.ClientReadableStream<title_pb.GetVideoByIdResponse>;

  deleteVideo(
    request: title_pb.DeleteVideoRequest,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: title_pb.DeleteVideoResponse) => void
  ): grpcWeb.ClientReadableStream<title_pb.DeleteVideoResponse>;

  updateVideoMetadata(
    request: title_pb.UpdateVideoMetadataRequest,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: title_pb.UpdateVideoMetadataResponse) => void
  ): grpcWeb.ClientReadableStream<title_pb.UpdateVideoMetadataResponse>;

  associateFileWithTitle(
    request: title_pb.AssociateFileWithTitleRequest,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: title_pb.AssociateFileWithTitleResponse) => void
  ): grpcWeb.ClientReadableStream<title_pb.AssociateFileWithTitleResponse>;

  dissociateFileWithTitle(
    request: title_pb.DissociateFileWithTitleRequest,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: title_pb.DissociateFileWithTitleResponse) => void
  ): grpcWeb.ClientReadableStream<title_pb.DissociateFileWithTitleResponse>;

  getFileTitles(
    request: title_pb.GetFileTitlesRequest,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: title_pb.GetFileTitlesResponse) => void
  ): grpcWeb.ClientReadableStream<title_pb.GetFileTitlesResponse>;

  getFileVideos(
    request: title_pb.GetFileVideosRequest,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: title_pb.GetFileVideosResponse) => void
  ): grpcWeb.ClientReadableStream<title_pb.GetFileVideosResponse>;

  getFileAudios(
    request: title_pb.GetFileAudiosRequest,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: title_pb.GetFileAudiosResponse) => void
  ): grpcWeb.ClientReadableStream<title_pb.GetFileAudiosResponse>;

  getTitleFiles(
    request: title_pb.GetTitleFilesRequest,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: title_pb.GetTitleFilesResponse) => void
  ): grpcWeb.ClientReadableStream<title_pb.GetTitleFilesResponse>;

  searchTitles(
    request: title_pb.SearchTitlesRequest,
    metadata?: grpcWeb.Metadata
  ): grpcWeb.ClientReadableStream<title_pb.SearchTitlesResponse>;

  searchPersons(
    request: title_pb.SearchPersonsRequest,
    metadata?: grpcWeb.Metadata
  ): grpcWeb.ClientReadableStream<title_pb.SearchPersonsResponse>;

}

export class TitleServicePromiseClient {
  constructor (hostname: string,
               credentials?: null | { [index: string]: string; },
               options?: null | { [index: string]: any; });

  createPublisher(
    request: title_pb.CreatePublisherRequest,
    metadata?: grpcWeb.Metadata
  ): Promise<title_pb.CreatePublisherResponse>;

  deletePublisher(
    request: title_pb.DeletePublisherRequest,
    metadata?: grpcWeb.Metadata
  ): Promise<title_pb.DeletePublisherResponse>;

  getPublisherById(
    request: title_pb.GetPublisherByIdRequest,
    metadata?: grpcWeb.Metadata
  ): Promise<title_pb.GetPublisherByIdResponse>;

  createPerson(
    request: title_pb.CreatePersonRequest,
    metadata?: grpcWeb.Metadata
  ): Promise<title_pb.CreatePersonResponse>;

  deletePerson(
    request: title_pb.DeletePersonRequest,
    metadata?: grpcWeb.Metadata
  ): Promise<title_pb.DeletePersonResponse>;

  getPersonById(
    request: title_pb.GetPersonByIdRequest,
    metadata?: grpcWeb.Metadata
  ): Promise<title_pb.GetPersonByIdResponse>;

  createTitle(
    request: title_pb.CreateTitleRequest,
    metadata?: grpcWeb.Metadata
  ): Promise<title_pb.CreateTitleResponse>;

  getTitleById(
    request: title_pb.GetTitleByIdRequest,
    metadata?: grpcWeb.Metadata
  ): Promise<title_pb.GetTitleByIdResponse>;

  deleteTitle(
    request: title_pb.DeleteTitleRequest,
    metadata?: grpcWeb.Metadata
  ): Promise<title_pb.DeleteTitleResponse>;

  updateTitleMetadata(
    request: title_pb.UpdateTitleMetadataRequest,
    metadata?: grpcWeb.Metadata
  ): Promise<title_pb.UpdateTitleMetadataResponse>;

  createAudio(
    request: title_pb.CreateAudioRequest,
    metadata?: grpcWeb.Metadata
  ): Promise<title_pb.CreateAudioResponse>;

  getAudioById(
    request: title_pb.GetAudioByIdRequest,
    metadata?: grpcWeb.Metadata
  ): Promise<title_pb.GetAudioByIdResponse>;

  getAlbum(
    request: title_pb.GetAlbumRequest,
    metadata?: grpcWeb.Metadata
  ): Promise<title_pb.GetAlbumResponse>;

  deleteAudio(
    request: title_pb.DeleteAudioRequest,
    metadata?: grpcWeb.Metadata
  ): Promise<title_pb.DeleteAudioResponse>;

  deleteAlbum(
    request: title_pb.DeleteAlbumRequest,
    metadata?: grpcWeb.Metadata
  ): Promise<title_pb.DeleteAlbumResponse>;

  createVideo(
    request: title_pb.CreateVideoRequest,
    metadata?: grpcWeb.Metadata
  ): Promise<title_pb.CreateVideoResponse>;

  getVideoById(
    request: title_pb.GetVideoByIdRequest,
    metadata?: grpcWeb.Metadata
  ): Promise<title_pb.GetVideoByIdResponse>;

  deleteVideo(
    request: title_pb.DeleteVideoRequest,
    metadata?: grpcWeb.Metadata
  ): Promise<title_pb.DeleteVideoResponse>;

  updateVideoMetadata(
    request: title_pb.UpdateVideoMetadataRequest,
    metadata?: grpcWeb.Metadata
  ): Promise<title_pb.UpdateVideoMetadataResponse>;

  associateFileWithTitle(
    request: title_pb.AssociateFileWithTitleRequest,
    metadata?: grpcWeb.Metadata
  ): Promise<title_pb.AssociateFileWithTitleResponse>;

  dissociateFileWithTitle(
    request: title_pb.DissociateFileWithTitleRequest,
    metadata?: grpcWeb.Metadata
  ): Promise<title_pb.DissociateFileWithTitleResponse>;

  getFileTitles(
    request: title_pb.GetFileTitlesRequest,
    metadata?: grpcWeb.Metadata
  ): Promise<title_pb.GetFileTitlesResponse>;

  getFileVideos(
    request: title_pb.GetFileVideosRequest,
    metadata?: grpcWeb.Metadata
  ): Promise<title_pb.GetFileVideosResponse>;

  getFileAudios(
    request: title_pb.GetFileAudiosRequest,
    metadata?: grpcWeb.Metadata
  ): Promise<title_pb.GetFileAudiosResponse>;

  getTitleFiles(
    request: title_pb.GetTitleFilesRequest,
    metadata?: grpcWeb.Metadata
  ): Promise<title_pb.GetTitleFilesResponse>;

  searchTitles(
    request: title_pb.SearchTitlesRequest,
    metadata?: grpcWeb.Metadata
  ): grpcWeb.ClientReadableStream<title_pb.SearchTitlesResponse>;

  searchPersons(
    request: title_pb.SearchPersonsRequest,
    metadata?: grpcWeb.Metadata
  ): grpcWeb.ClientReadableStream<title_pb.SearchPersonsResponse>;

}

