import * as grpcWeb from 'grpc-web';

import * as torrent_pb from './torrent_pb'; // proto import: "torrent.proto"


export class TorrentServiceClient {
  constructor (hostname: string,
               credentials?: null | { [index: string]: string; },
               options?: null | { [index: string]: any; });

  downloadTorrent(
    request: torrent_pb.DownloadTorrentRequest,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: torrent_pb.DownloadTorrentResponse) => void
  ): grpcWeb.ClientReadableStream<torrent_pb.DownloadTorrentResponse>;

  getTorrentInfos(
    request: torrent_pb.GetTorrentInfosRequest,
    metadata?: grpcWeb.Metadata
  ): grpcWeb.ClientReadableStream<torrent_pb.GetTorrentInfosResponse>;

  dropTorrent(
    request: torrent_pb.DropTorrentRequest,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: torrent_pb.DropTorrentResponse) => void
  ): grpcWeb.ClientReadableStream<torrent_pb.DropTorrentResponse>;

  getTorrentLnks(
    request: torrent_pb.GetTorrentLnksRequest,
    metadata: grpcWeb.Metadata | undefined,
    callback: (err: grpcWeb.RpcError,
               response: torrent_pb.GetTorrentLnksResponse) => void
  ): grpcWeb.ClientReadableStream<torrent_pb.GetTorrentLnksResponse>;

}

export class TorrentServicePromiseClient {
  constructor (hostname: string,
               credentials?: null | { [index: string]: string; },
               options?: null | { [index: string]: any; });

  downloadTorrent(
    request: torrent_pb.DownloadTorrentRequest,
    metadata?: grpcWeb.Metadata
  ): Promise<torrent_pb.DownloadTorrentResponse>;

  getTorrentInfos(
    request: torrent_pb.GetTorrentInfosRequest,
    metadata?: grpcWeb.Metadata
  ): grpcWeb.ClientReadableStream<torrent_pb.GetTorrentInfosResponse>;

  dropTorrent(
    request: torrent_pb.DropTorrentRequest,
    metadata?: grpcWeb.Metadata
  ): Promise<torrent_pb.DropTorrentResponse>;

  getTorrentLnks(
    request: torrent_pb.GetTorrentLnksRequest,
    metadata?: grpcWeb.Metadata
  ): Promise<torrent_pb.GetTorrentLnksResponse>;

}

