import * as jspb from 'google-protobuf'



export class TorrentLnk extends jspb.Message {
  getLnk(): string;
  setLnk(value: string): TorrentLnk;

  getName(): string;
  setName(value: string): TorrentLnk;

  getDest(): string;
  setDest(value: string): TorrentLnk;

  getSeed(): boolean;
  setSeed(value: boolean): TorrentLnk;

  getOwner(): string;
  setOwner(value: string): TorrentLnk;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): TorrentLnk.AsObject;
  static toObject(includeInstance: boolean, msg: TorrentLnk): TorrentLnk.AsObject;
  static serializeBinaryToWriter(message: TorrentLnk, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): TorrentLnk;
  static deserializeBinaryFromReader(message: TorrentLnk, reader: jspb.BinaryReader): TorrentLnk;
}

export namespace TorrentLnk {
  export type AsObject = {
    lnk: string,
    name: string,
    dest: string,
    seed: boolean,
    owner: string,
  }
}

export class GetTorrentLnksRequest extends jspb.Message {
  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): GetTorrentLnksRequest.AsObject;
  static toObject(includeInstance: boolean, msg: GetTorrentLnksRequest): GetTorrentLnksRequest.AsObject;
  static serializeBinaryToWriter(message: GetTorrentLnksRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): GetTorrentLnksRequest;
  static deserializeBinaryFromReader(message: GetTorrentLnksRequest, reader: jspb.BinaryReader): GetTorrentLnksRequest;
}

export namespace GetTorrentLnksRequest {
  export type AsObject = {
  }
}

export class GetTorrentLnksResponse extends jspb.Message {
  getLnksList(): Array<TorrentLnk>;
  setLnksList(value: Array<TorrentLnk>): GetTorrentLnksResponse;
  clearLnksList(): GetTorrentLnksResponse;
  addLnks(value?: TorrentLnk, index?: number): TorrentLnk;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): GetTorrentLnksResponse.AsObject;
  static toObject(includeInstance: boolean, msg: GetTorrentLnksResponse): GetTorrentLnksResponse.AsObject;
  static serializeBinaryToWriter(message: GetTorrentLnksResponse, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): GetTorrentLnksResponse;
  static deserializeBinaryFromReader(message: GetTorrentLnksResponse, reader: jspb.BinaryReader): GetTorrentLnksResponse;
}

export namespace GetTorrentLnksResponse {
  export type AsObject = {
    lnksList: Array<TorrentLnk.AsObject>,
  }
}

export class TorrentFileInfo extends jspb.Message {
  getPath(): string;
  setPath(value: string): TorrentFileInfo;

  getSize(): number;
  setSize(value: number): TorrentFileInfo;

  getChunks(): number;
  setChunks(value: number): TorrentFileInfo;

  getCompleted(): number;
  setCompleted(value: number): TorrentFileInfo;

  getPercent(): number;
  setPercent(value: number): TorrentFileInfo;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): TorrentFileInfo.AsObject;
  static toObject(includeInstance: boolean, msg: TorrentFileInfo): TorrentFileInfo.AsObject;
  static serializeBinaryToWriter(message: TorrentFileInfo, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): TorrentFileInfo;
  static deserializeBinaryFromReader(message: TorrentFileInfo, reader: jspb.BinaryReader): TorrentFileInfo;
}

export namespace TorrentFileInfo {
  export type AsObject = {
    path: string,
    size: number,
    chunks: number,
    completed: number,
    percent: number,
  }
}

export class TorrentInfo extends jspb.Message {
  getName(): string;
  setName(value: string): TorrentInfo;

  getLoaded(): boolean;
  setLoaded(value: boolean): TorrentInfo;

  getSize(): number;
  setSize(value: number): TorrentInfo;

  getTotalchunks(): number;
  setTotalchunks(value: number): TorrentInfo;

  getTotalcompleted(): number;
  setTotalcompleted(value: number): TorrentInfo;

  getDownloaded(): number;
  setDownloaded(value: number): TorrentInfo;

  getDownloadrate(): number;
  setDownloadrate(value: number): TorrentInfo;

  getPercent(): number;
  setPercent(value: number): TorrentInfo;

  getUpdatedat(): number;
  setUpdatedat(value: number): TorrentInfo;

  getFilesList(): Array<TorrentFileInfo>;
  setFilesList(value: Array<TorrentFileInfo>): TorrentInfo;
  clearFilesList(): TorrentInfo;
  addFiles(value?: TorrentFileInfo, index?: number): TorrentFileInfo;

  getDestination(): string;
  setDestination(value: string): TorrentInfo;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): TorrentInfo.AsObject;
  static toObject(includeInstance: boolean, msg: TorrentInfo): TorrentInfo.AsObject;
  static serializeBinaryToWriter(message: TorrentInfo, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): TorrentInfo;
  static deserializeBinaryFromReader(message: TorrentInfo, reader: jspb.BinaryReader): TorrentInfo;
}

export namespace TorrentInfo {
  export type AsObject = {
    name: string,
    loaded: boolean,
    size: number,
    totalchunks: number,
    totalcompleted: number,
    downloaded: number,
    downloadrate: number,
    percent: number,
    updatedat: number,
    filesList: Array<TorrentFileInfo.AsObject>,
    destination: string,
  }
}

export class GetTorrentInfosRequest extends jspb.Message {
  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): GetTorrentInfosRequest.AsObject;
  static toObject(includeInstance: boolean, msg: GetTorrentInfosRequest): GetTorrentInfosRequest.AsObject;
  static serializeBinaryToWriter(message: GetTorrentInfosRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): GetTorrentInfosRequest;
  static deserializeBinaryFromReader(message: GetTorrentInfosRequest, reader: jspb.BinaryReader): GetTorrentInfosRequest;
}

export namespace GetTorrentInfosRequest {
  export type AsObject = {
  }
}

export class GetTorrentInfosResponse extends jspb.Message {
  getInfosList(): Array<TorrentInfo>;
  setInfosList(value: Array<TorrentInfo>): GetTorrentInfosResponse;
  clearInfosList(): GetTorrentInfosResponse;
  addInfos(value?: TorrentInfo, index?: number): TorrentInfo;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): GetTorrentInfosResponse.AsObject;
  static toObject(includeInstance: boolean, msg: GetTorrentInfosResponse): GetTorrentInfosResponse.AsObject;
  static serializeBinaryToWriter(message: GetTorrentInfosResponse, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): GetTorrentInfosResponse;
  static deserializeBinaryFromReader(message: GetTorrentInfosResponse, reader: jspb.BinaryReader): GetTorrentInfosResponse;
}

export namespace GetTorrentInfosResponse {
  export type AsObject = {
    infosList: Array<TorrentInfo.AsObject>,
  }
}

export class DownloadTorrentRequest extends jspb.Message {
  getLink(): string;
  setLink(value: string): DownloadTorrentRequest;

  getDest(): string;
  setDest(value: string): DownloadTorrentRequest;

  getSeed(): boolean;
  setSeed(value: boolean): DownloadTorrentRequest;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): DownloadTorrentRequest.AsObject;
  static toObject(includeInstance: boolean, msg: DownloadTorrentRequest): DownloadTorrentRequest.AsObject;
  static serializeBinaryToWriter(message: DownloadTorrentRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): DownloadTorrentRequest;
  static deserializeBinaryFromReader(message: DownloadTorrentRequest, reader: jspb.BinaryReader): DownloadTorrentRequest;
}

export namespace DownloadTorrentRequest {
  export type AsObject = {
    link: string,
    dest: string,
    seed: boolean,
  }
}

export class DownloadTorrentResponse extends jspb.Message {
  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): DownloadTorrentResponse.AsObject;
  static toObject(includeInstance: boolean, msg: DownloadTorrentResponse): DownloadTorrentResponse.AsObject;
  static serializeBinaryToWriter(message: DownloadTorrentResponse, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): DownloadTorrentResponse;
  static deserializeBinaryFromReader(message: DownloadTorrentResponse, reader: jspb.BinaryReader): DownloadTorrentResponse;
}

export namespace DownloadTorrentResponse {
  export type AsObject = {
  }
}

export class DropTorrentRequest extends jspb.Message {
  getName(): string;
  setName(value: string): DropTorrentRequest;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): DropTorrentRequest.AsObject;
  static toObject(includeInstance: boolean, msg: DropTorrentRequest): DropTorrentRequest.AsObject;
  static serializeBinaryToWriter(message: DropTorrentRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): DropTorrentRequest;
  static deserializeBinaryFromReader(message: DropTorrentRequest, reader: jspb.BinaryReader): DropTorrentRequest;
}

export namespace DropTorrentRequest {
  export type AsObject = {
    name: string,
  }
}

export class DropTorrentResponse extends jspb.Message {
  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): DropTorrentResponse.AsObject;
  static toObject(includeInstance: boolean, msg: DropTorrentResponse): DropTorrentResponse.AsObject;
  static serializeBinaryToWriter(message: DropTorrentResponse, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): DropTorrentResponse;
  static deserializeBinaryFromReader(message: DropTorrentResponse, reader: jspb.BinaryReader): DropTorrentResponse;
}

export namespace DropTorrentResponse {
  export type AsObject = {
  }
}

